(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    430695,      10053]
NotebookOptionsPosition[    425172,       9890]
NotebookOutlinePosition[    425639,       9908]
CellTagsIndexPosition[    425596,       9905]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Ejercicio 1: selecci\[OAcute]n de la ra\[IAcute]z de un \[AAcute]rbol usando \
ShowGraph, n\[GreaterEqual]10\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCad4dvYqR
ma8ccy9kqYHoqy5Ruj+BtNLUcjCdM2WL/i8gHbFLxBBEG1edL/2W9crxhOGT
ChCdOm/9iu9AWmjyRzBdNC2JM6rpleMmG3YuEA0AxDfNLQ==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ArbolesSA", "[", "n_", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"IntegerQ", "[", "n", "]"}], "\[Equal]", "True"}], "&&", 
     RowBox[{"n", "\[GreaterEqual]", "1"}]}], ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"root", "=", "0"}], "}"}], ",", 
      RowBox[{
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"IntegerQ", "[", "root", "]"}], "\[Equal]", "False"}], 
           ")"}], "||", 
          RowBox[{"(", 
           RowBox[{"root", "<", "1"}], ")"}], "||", 
          RowBox[{"(", 
           RowBox[{"root", ">", "10"}], ")"}]}], ",", 
         RowBox[{"root", "=", 
          RowBox[{
          "Input", "[", "\"\<Indique el nodo ra\[IAcute]z: \>\"", "]"}]}]}], 
        "]"}], ";", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "10"}], ",", 
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{"n", "+", "9"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Print", "[", 
           RowBox[{"ShowGraph", "[", 
            RowBox[{
             RowBox[{"RootedEmbedding", "[", 
              RowBox[{
               RowBox[{"G", "=", 
                RowBox[{"RandomTree", "[", "i", "]"}]}], ",", "root"}], "]"}],
              ",", 
             RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}]}]}], "]"}], ",", 
    RowBox[{"Print", "[", "\"\<Valor de n no aceptado\>\"", "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ArbolesSA", "[", "1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.5457402955067587`*^9, 3.5457404487265224`*^9}, {
  3.545740479420278*^9, 3.5457404844115634`*^9}, {3.5457406534212303`*^9, 
  3.545740899044279*^9}, {3.5457410568643055`*^9, 3.545741057549345*^9}, {
  3.545741216406431*^9, 3.5457413273657775`*^9}, {3.545741812854546*^9, 
  3.5457418131095605`*^9}, {3.545742575514168*^9, 3.5457425863157854`*^9}, {
  3.5457427538213663`*^9, 3.5457427565445223`*^9}, {3.5457427931276145`*^9, 
  3.5457428079554625`*^9}, {3.5457428873410034`*^9, 3.545742908688224*^9}, {
  3.545742967104565*^9, 3.545742986141654*^9}, {3.5457430683703575`*^9, 
  3.545743087692463*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{
  3.545740455733923*^9, 3.545740489050829*^9, 3.54574069695072*^9, 
   3.5457409143631554`*^9, {3.545740986097258*^9, 3.5457410027332096`*^9}, {
   3.5457410669428825`*^9, 3.5457410817627296`*^9}, {3.545741303358404*^9, 
   3.5457413220824757`*^9}, 3.545741814021613*^9, 3.5457425879678802`*^9, {
   3.5457427605547514`*^9, 3.5457427777837367`*^9}, 3.545742851423949*^9, 
   3.5457428893081155`*^9, 3.545742942047132*^9, {3.5457429779561863`*^9, 
   3.54574299324006*^9}, {3.545743079698005*^9, 3.5457430886975203`*^9}}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], LineBox[{{1., 0.125}, {1., 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{1., 0.125}, {1., 0.25}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{1., 0.25}, {0.875, 0.375}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.375, 0.5}, {0.375, 0.375}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.625, 0.625}, {0.375, 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.625, 0.625}, {0.875, 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.875, 0.5}, {0.875, 0.375}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {0.75, 0.125}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.75, 0.25}, {0.875, 0.375}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.625, 0.625}]}, 
     {GrayLevel[0], 
      InsetBox["1", Scaled[{-0.02, -0.02}, {0.625, 0.625}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.125}]}, 
     {GrayLevel[0], 
      InsetBox["2", Scaled[{-0.02, -0.02}, {1., 0.125}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.375, 0.5}]}, 
     {GrayLevel[0], 
      InsetBox["3", Scaled[{-0.02, -0.02}, {0.375, 0.5}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.875, 0.5}]}, 
     {GrayLevel[0], 
      InsetBox["4", Scaled[{-0.02, -0.02}, {0.875, 0.5}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.25}]}, 
     {GrayLevel[0], 
      InsetBox["5", Scaled[{-0.02, -0.02}, {0.75, 0.25}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.}]}, 
     {GrayLevel[0], InsetBox["6", Scaled[{-0.02, -0.02}, {1., 0.}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.25}]}, 
     {GrayLevel[0], 
      InsetBox["7", Scaled[{-0.02, -0.02}, {1., 0.25}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.375, 0.375}]}, 
     {GrayLevel[0], 
      InsetBox["8", Scaled[{-0.02, -0.02}, {0.375, 0.375}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.75, 0.125}]}, 
     {GrayLevel[0], 
      InsetBox["9", Scaled[{-0.02, -0.02}, {0.75, 0.125}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.875, 0.375}]}, 
     {GrayLevel[0], 
      InsetBox["10", Scaled[{-0.02, -0.02}, {0.875, 0.375}], {1, 0}]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{0.28875, 1.0862500000000002`}, {-0.08625000000000001, 0.71125}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Print",
 CellChangeTimes->{
  3.545740489682865*^9, 3.5457406975937567`*^9, 3.5457409451209145`*^9, {
   3.54574099137556*^9, 3.545741015184922*^9}, 3.545741069909052*^9, 
   3.545741112908511*^9, {3.5457413067746*^9, 3.545741322793516*^9}, 
   3.545741818007841*^9, 3.545742591429078*^9, {3.545742767085125*^9, 
   3.5457427849321456`*^9}, 3.545742855079158*^9, 3.545742892235283*^9, 
   3.545742944962299*^9, {3.5457429821714272`*^9, 3.545742996363239*^9}, {
   3.545743080289039*^9, 3.545743091811698*^9}}]
}, Open  ]],

Cell["Ejercicio 2", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCad4dvYqR
ma8ccy9kqYHoqy5Ruj+BtNLUcjCdM2WL/i8gHbFLxBBEG1edL/2W9crxhOGT
ChCdOm/9iu9AWmjyRzB9r6bhXmQTMLwNte6DaADZJM8x
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell["Parte b)", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCad4dvYqR
ma8ccy9kqYHoqy5Ruj+BtNLUcjCdM2WL/i8gHbFLxBBEG1edL/2W9crxhOGT
ChCdOm/9iu9AWmjyRzB9r6bhXmTTK8fJnOceg2gA3GDPvg==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Clear", "[", 
  RowBox[{
  "m", ",", "a", ",", "t", ",", "e", ",", "m", ",", "\[AAcute]", ",", "t", 
   ",", "i", ",", "c", ",", "a"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"TreePlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "a"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", "2"}], ",", "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", "3"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"2", "\[Rule]", "m"}], ",", "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"3", "\[Rule]", "4"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"3", "\[Rule]", "t"}], ",", "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "\[Rule]", "5"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"4", "\[Rule]", "e"}], ",", "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"5", "\[Rule]", "6"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"5", "\[Rule]", "i"}], ",", "\"\<0\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"6", "\[Rule]", "c"}], ",", "\"\<1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"6", "\[Rule]", "\[AAcute]"}], ",", "\"\<0\>\""}], "}"}]}], 
    "}"}], ",", "Automatic", ",", "1", ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.557680670573512*^9, 3.5576806926537747`*^9}, {
  3.5576807613867064`*^9, 3.557680864107581*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.7888543819998317`, 5.366563145999495}, {
    1.3416407864998738`, 4.47213595499958}, {2.23606797749979, 
    4.47213595499958}, {1.7888543819998317`, 3.577708763999664}, {
    2.6832815729997477`, 3.577708763999664}, {1.3416407864998738`, 
    2.6832815729997477`}, {2.23606797749979, 2.6832815729997477`}, {
    0.894427190999916, 1.788854381999832}, {1.7888543819998317`, 
    1.788854381999832}, {0.447213595499958, 0.8944271909999157}, {
    1.3416407864998738`, 0.8944271909999157}, {0., 0.}, {0.894427190999916, 
    0.}}, {
     {RGBColor[0.5, 0., 0.], 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{1, 2}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{1, 3}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{3, 4}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{3, 5}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{4, 6}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{4, 7}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{6, 8}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{6, 9}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{8, 10}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{8, 11}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"1\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{10, 12}]}, 
      {Arrowheads[{{0.5, 0.5, 
          GraphicsBox[{
            GrayLevel[0], 
            InsetBox[
             BoxData[
              FormBox[
               StyleBox["\"0\"", StripOnInput -> False], TraditionalForm]], {
             0, 0}, 
             ImageScaled[{0.5, 0.5}], Automatic, None, Background -> 
             GrayLevel[1]]}]}, {0, 0}}], ArrowBox[{10, 13}]}}, {InsetBox[
       FrameBox["1",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["a",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["2",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["m",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["4",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["t",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["5",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8], InsetBox[
       FrameBox["e",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 9], InsetBox[
       FrameBox["6",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 10], InsetBox[
       FrameBox["i",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 11], InsetBox[
       FrameBox["c",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 12], InsetBox[
       FrameBox["\[AAcute]",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 13]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.7888543819998317`, 5.366563145999495}, {
     1.3416407864998738`, 4.47213595499958}, {2.23606797749979, 
     4.47213595499958}, {1.7888543819998317`, 3.577708763999664}, {
     2.6832815729997477`, 3.577708763999664}, {1.3416407864998738`, 
     2.6832815729997477`}, {2.23606797749979, 2.6832815729997477`}, {
     0.894427190999916, 1.788854381999832}, {1.7888543819998317`, 
     1.788854381999832}, {0.447213595499958, 0.8944271909999157}, {
     1.3416407864998738`, 0.8944271909999157}, {0., 0.}, {0.894427190999916, 
     0.}}]& ],
  AspectRatio->1.4142135623730951`,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{{3.5576808157508154`*^9, 3.5576808660606933`*^9}}]
}, Open  ]],

Cell[TextData[StyleBox["Ejercicio 3",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.554571008252273*^9, 3.554571017725855*^9}, {
  3.55457107750524*^9, 3.554571083213578*^9}, {3.554576835808043*^9, 
  3.5545768489801807`*^9}, {3.557601129672514*^9, 3.557601145597499*^9}, {
  3.55800253011854*^9, 3.5580025340567656`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell["Parte a)", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.5448724088434505`*^9, 3.5448724173609376`*^9}, {3.5448733246138296`*^9, 
  3.544873325584885*^9}, {3.557601148917783*^9, 3.55760117925309*^9}, {
  3.558002590836013*^9, 3.558002594094199*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"W", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ordena", "[", "Datos_List", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"CNI", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"CND", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"L", "=", 
       RowBox[{"DeleteDuplicates", "[", "Datos", "]"}]}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "L", "]"}], "\[GreaterEqual]", "2"}], ",", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "2"}], ",", 
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{"Length", "[", "L", "]"}]}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], ">", 
             RowBox[{"L", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], ",", 
            RowBox[{"CNI", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CNI", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
            RowBox[{"CND", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CND", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CNI", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CNI", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CND", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CND", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"Ordena", "[", "CNI", "]"}], ";", 
       RowBox[{"Ordena", "[", "CND", "]"}]}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Datos", "=", 
   RowBox[{"{", 
    RowBox[{
    "20", ",", "5", ",", "3", ",", "21", ",", "25", ",", "10", ",", "9", ",", 
     "8", ",", "4", ",", "27", ",", "19", ",", "30"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Ordena", "[", "Datos", "]"}], "\[IndentingNewLine]", 
 RowBox[{"TreePlot", "[", 
  RowBox[{"W", ",", "Automatic", ",", 
   RowBox[{"Datos", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.544436362099947*^9, 3.5444364182291574`*^9}, {
   3.544436452820136*^9, 3.5444365096323853`*^9}, {3.5444365785633283`*^9, 
   3.5444367080457344`*^9}, {3.544436752524278*^9, 3.5444367596926885`*^9}, {
   3.544436792997593*^9, 3.5444368220592556`*^9}, {3.5444370314072294`*^9, 
   3.544437142894606*^9}, {3.5444372630064764`*^9, 3.5444374535913773`*^9}, {
   3.5444375095465775`*^9, 3.54443757095709*^9}, {3.5444376436832495`*^9, 
   3.5444378945806*^9}, {3.5444383216930294`*^9, 3.544438328362411*^9}, {
   3.544438627769536*^9, 3.5444387376618214`*^9}, {3.5444387792602005`*^9, 
   3.544438782162367*^9}, {3.5444388123280926`*^9, 3.544438944706664*^9}, {
   3.544438980387705*^9, 3.5444390669796576`*^9}, {3.5444391515804963`*^9, 
   3.544439192834856*^9}, {3.5444395789989433`*^9, 3.544439797180423*^9}, {
   3.544439856771831*^9, 3.544439926445816*^9}, {3.544440004384274*^9, 
   3.544440177769191*^9}, {3.544440221544695*^9, 3.5444402219927206`*^9}, {
   3.5444403129899254`*^9, 3.544440510730235*^9}, {3.5444405822863283`*^9, 
   3.544440585429508*^9}, {3.5444406172213264`*^9, 3.544440639242586*^9}, {
   3.5444406872153296`*^9, 3.5444407106546707`*^9}, {3.5444407595474668`*^9, 
   3.5444407770474677`*^9}, {3.544440873817003*^9, 3.5444409015995917`*^9}, {
   3.5444409475622206`*^9, 3.5444409846583424`*^9}, {3.544441052051197*^9, 
   3.54444105978564*^9}, {3.54444114336942*^9, 3.544441163443568*^9}, {
   3.544441231747475*^9, 3.5444412569109144`*^9}, {3.544441313236136*^9, 
   3.544441315471264*^9}, 3.5444414326909685`*^9, {3.544441535280836*^9, 
   3.544441653101575*^9}, {3.544441719899396*^9, 3.5444417715633507`*^9}, 
   3.544441921927951*^9, {3.544442013541191*^9, 3.5444420443149514`*^9}, {
   3.5444421230784564`*^9, 3.5444421234624786`*^9}, {3.544442231682668*^9, 
   3.544442335147586*^9}, {3.5444423665363817`*^9, 3.5444424121939926`*^9}, {
   3.544442553613082*^9, 3.544442576292379*^9}, {3.544442663298355*^9, 
   3.544442698093345*^9}, {3.544442767691326*^9, 3.5444427896175804`*^9}, {
   3.5444429469995823`*^9, 3.54444294748561*^9}, {3.544443015636508*^9, 
   3.544443031307404*^9}, {3.5444433697597623`*^9, 3.544443393345112*^9}, {
   3.5444434385266953`*^9, 3.5444434734746943`*^9}, {3.544443517488212*^9, 
   3.544443518690281*^9}, {3.5444435801897984`*^9, 3.5444435978758097`*^9}, {
   3.5444436329628167`*^9, 3.544443633960874*^9}, {3.5444437166916056`*^9, 
   3.5444437614461656`*^9}, {3.544445513107355*^9, 3.544445626602846*^9}, {
   3.5444460527562213`*^9, 3.5444460848300557`*^9}, {3.5444461467705984`*^9, 
   3.544446147461638*^9}, {3.5444462954191008`*^9, 3.5444463343903294`*^9}, {
   3.544446435766128*^9, 3.5444464629386826`*^9}, {3.5444466357795677`*^9, 
   3.5444467209524393`*^9}, {3.544446780099823*^9, 3.5444468527919807`*^9}, {
   3.5444477621779947`*^9, 3.5444477671062765`*^9}, {3.544468572992305*^9, 
   3.5444685954465895`*^9}, {3.5444686460324826`*^9, 3.544468679451394*^9}, {
   3.5444687335314875`*^9, 3.544468736412652*^9}, {3.5444749320700235`*^9, 
   3.5444749331010823`*^9}, 3.544807636080454*^9, {3.5448725353706875`*^9, 
   3.544872536374745*^9}, {3.5448732169306707`*^9, 3.5448732341736565`*^9}, 
   3.544875000885707*^9, 3.557601199165185*^9, {3.57597599966306*^9, 
   3.57597603287624*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.5973560629216572`, 3.407692934232869}, {
    0.638942425168663, 2.5557697006746514`}, {2.555769700674652, 
    2.5557697006746514`}, {0., 1.7038464671164344`}, {1.277884850337326, 
    1.7038464671164344`}, {0., 0.851923233558217}, {0.8519232335582172, 
    0.851923233558217}, {1.7038464671164344`, 0.851923233558217}, {
    0.8519232335582172, 0.}, {2.555769700674652, 1.7038464671164344`}, {
    2.555769700674652, 0.851923233558217}, {2.555769700674652, 0.}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 10}, {4, 6}, {5, 7}, {5, 
       8}, {7, 9}, {10, 11}, {11, 12}}]}, {InsetBox[
       FrameBox["20",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["5",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["21",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["3",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["10",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["4",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["9",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["19",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8], InsetBox[
       FrameBox["8",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 9], InsetBox[
       FrameBox["25",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 10], InsetBox[
       FrameBox["27",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 11], InsetBox[
       FrameBox["30",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 12]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.5973560629216572`, 3.407692934232869}, {
     0.638942425168663, 2.5557697006746514`}, {2.555769700674652, 
     2.5557697006746514`}, {0., 1.7038464671164344`}, {1.277884850337326, 
     1.7038464671164344`}, {0., 0.851923233558217}, {0.8519232335582172, 
     0.851923233558217}, {1.7038464671164344`, 0.851923233558217}, {
     0.8519232335582172, 0.}, {2.555769700674652, 1.7038464671164344`}, {
     2.555769700674652, 0.851923233558217}, {2.555769700674652, 0.}}]& ],
  AspectRatio->1.1547005383792515`,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{3.5444687390088005`*^9, 3.544872537109787*^9, 
  3.544873235181714*^9, 3.5576012016566753`*^9, 3.5759760417412834`*^9}]
}, Open  ]],

Cell["Parte b)", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.5448724088434505`*^9, 3.544872466122727*^9}, {3.544873282823439*^9, 
  3.544873315203291*^9}, {3.5448733544755373`*^9, 3.544873354838558*^9}, {
  3.557601242866806*^9, 3.557601265562254*^9}, {3.5580026010945997`*^9, 
  3.558002604284782*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"W", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ordena", "[", "Datos_List", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"CNI", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"CND", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"L", "=", 
       RowBox[{"DeleteDuplicates", "[", "Datos", "]"}]}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "L", "]"}], "\[GreaterEqual]", "2"}], ",", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"ii", "=", "2"}], ",", 
         RowBox[{"ii", "\[LessEqual]", 
          RowBox[{"Length", "[", "L", "]"}]}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Order", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "ii", "]"}], "]"}]}], "]"}], "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", 
            RowBox[{"CNI", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CNI", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "ii", "]"}], "]"}]}], "]"}]}], ",", 
            RowBox[{"CND", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CND", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "ii", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
          RowBox[{"ii", "++"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CNI", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CNI", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CND", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CND", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"Ordena", "[", "CNI", "]"}], ";", 
       RowBox[{"Ordena", "[", "CND", "]"}]}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Datos", "=", 
   RowBox[{"{", 
    RowBox[{
    "j", ",", "a", ",", "k", ",", "l", ",", "i", ",", "p", ",", "o", ",", "e",
      ",", "d", ",", "b", ",", "q", ",", "h"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Ordena", "[", "Datos", "]"}], "\[IndentingNewLine]", 
 RowBox[{"TreePlot", "[", 
  RowBox[{"W", ",", "Automatic", ",", 
   RowBox[{"Datos", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.544436362099947*^9, 3.5444364182291574`*^9}, {
   3.544436452820136*^9, 3.5444365096323853`*^9}, {3.5444365785633283`*^9, 
   3.5444367080457344`*^9}, {3.544436752524278*^9, 3.5444367596926885`*^9}, {
   3.544436792997593*^9, 3.5444368220592556`*^9}, {3.5444370314072294`*^9, 
   3.544437142894606*^9}, {3.5444372630064764`*^9, 3.5444374535913773`*^9}, {
   3.5444375095465775`*^9, 3.54443757095709*^9}, {3.5444376436832495`*^9, 
   3.5444378945806*^9}, {3.5444383216930294`*^9, 3.544438328362411*^9}, {
   3.544438627769536*^9, 3.5444387376618214`*^9}, {3.5444387792602005`*^9, 
   3.544438782162367*^9}, {3.5444388123280926`*^9, 3.544438944706664*^9}, {
   3.544438980387705*^9, 3.5444390669796576`*^9}, {3.5444391515804963`*^9, 
   3.544439192834856*^9}, {3.5444395789989433`*^9, 3.544439797180423*^9}, {
   3.544439856771831*^9, 3.544439926445816*^9}, {3.544440004384274*^9, 
   3.544440177769191*^9}, {3.544440221544695*^9, 3.5444402219927206`*^9}, {
   3.5444403129899254`*^9, 3.544440510730235*^9}, {3.5444405822863283`*^9, 
   3.544440585429508*^9}, {3.5444406172213264`*^9, 3.544440639242586*^9}, {
   3.5444406872153296`*^9, 3.5444407106546707`*^9}, {3.5444407595474668`*^9, 
   3.5444407770474677`*^9}, {3.544440873817003*^9, 3.5444409015995917`*^9}, {
   3.5444409475622206`*^9, 3.5444409846583424`*^9}, {3.544441052051197*^9, 
   3.54444105978564*^9}, {3.54444114336942*^9, 3.544441163443568*^9}, {
   3.544441231747475*^9, 3.5444412569109144`*^9}, {3.544441313236136*^9, 
   3.544441315471264*^9}, 3.5444414326909685`*^9, {3.544441535280836*^9, 
   3.544441653101575*^9}, {3.544441719899396*^9, 3.5444417715633507`*^9}, 
   3.544441921927951*^9, {3.544442013541191*^9, 3.5444420443149514`*^9}, {
   3.5444421230784564`*^9, 3.5444421234624786`*^9}, {3.544442231682668*^9, 
   3.544442335147586*^9}, {3.5444423665363817`*^9, 3.5444424121939926`*^9}, {
   3.544442553613082*^9, 3.544442576292379*^9}, {3.544442663298355*^9, 
   3.544442698093345*^9}, {3.544442767691326*^9, 3.5444427896175804`*^9}, {
   3.5444429469995823`*^9, 3.54444294748561*^9}, {3.544443015636508*^9, 
   3.544443031307404*^9}, {3.5444433697597623`*^9, 3.544443393345112*^9}, {
   3.5444434385266953`*^9, 3.5444434734746943`*^9}, {3.544443517488212*^9, 
   3.544443518690281*^9}, {3.5444435801897984`*^9, 3.5444435978758097`*^9}, {
   3.5444436329628167`*^9, 3.544443633960874*^9}, {3.5444437166916056`*^9, 
   3.5444437614461656`*^9}, {3.544445513107355*^9, 3.544445626602846*^9}, {
   3.5444460527562213`*^9, 3.5444460848300557`*^9}, {3.5444461467705984`*^9, 
   3.544446147461638*^9}, {3.5444462954191008`*^9, 3.5444463343903294`*^9}, {
   3.544446435766128*^9, 3.5444464629386826`*^9}, {3.5444466357795677`*^9, 
   3.5444467209524393`*^9}, {3.544446780099823*^9, 3.5444468527919807`*^9}, {
   3.5444477621779947`*^9, 3.5444477671062765`*^9}, {3.544468572992305*^9, 
   3.5444685954465895`*^9}, {3.5444686460324826`*^9, 3.544468679451394*^9}, {
   3.5444687335314875`*^9, 3.544468736412652*^9}, {3.5444749320700235`*^9, 
   3.5444749331010823`*^9}, 3.544807636080454*^9, {3.5448724761493*^9, 
   3.544872529367344*^9}, {3.5448725605641284`*^9, 3.5448725736118746`*^9}, {
   3.5448727039643307`*^9, 3.544872704117339*^9}, {3.544872767894987*^9, 
   3.544872826798356*^9}, {3.5448729361976137`*^9, 3.5448729951819873`*^9}, {
   3.5448730290719256`*^9, 3.5448730342432213`*^9}, {3.5448731031641636`*^9, 
   3.544873104376233*^9}, {3.5448731354190083`*^9, 3.5448731835367603`*^9}, {
   3.5448733356824627`*^9, 3.5448733497732687`*^9}, {3.5448733928897347`*^9, 
   3.5448733992050962`*^9}, {3.5448737457579174`*^9, 
   3.5448737480920515`*^9}, {3.544873783025049*^9, 3.5448738154759054`*^9}, {
   3.544873941055088*^9, 3.5448739454903417`*^9}, 3.544875940587455*^9, 
   3.557601285517045*^9, {3.5630332045024805`*^9, 3.5630332162561526`*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.3296078906418773`, 4.432026302139591}, {
    0.44320263021395917`, 3.545621041711673}, {2.2160131510697956`, 
    3.545621041711673}, {0.44320263021395917`, 2.6592157812837547`}, {
    0.44320263021395917`, 1.7728105208558365`}, {0., 0.8864052604279178}, {
    0.8864052604279183, 0.8864052604279178}, {0., 0.}, {2.2160131510697956`, 
    2.6592157812837547`}, {2.2160131510697956`, 1.7728105208558365`}, {
    1.7728105208558367`, 0.8864052604279178}, {2.6592157812837547`, 
    0.8864052604279178}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {1, 3}, {2, 4}, {3, 9}, {4, 5}, {5, 6}, {5, 7}, {6, 
       8}, {9, 10}, {10, 11}, {10, 12}}]}, {InsetBox[
       FrameBox["j",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["a",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["k",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["i",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["e",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["d",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["h",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["b",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8], InsetBox[
       FrameBox["l",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 9], InsetBox[
       FrameBox["p",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 10], InsetBox[
       FrameBox["o",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 11], InsetBox[
       FrameBox["q",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 12]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.3296078906418773`, 4.432026302139591}, {
     0.44320263021395917`, 3.545621041711673}, {2.2160131510697956`, 
     3.545621041711673}, {0.44320263021395917`, 2.6592157812837547`}, {
     0.44320263021395917`, 1.7728105208558365`}, {0., 0.8864052604279178}, {
     0.8864052604279183, 0.8864052604279178}, {0., 0.}, {2.2160131510697956`, 
     2.6592157812837547`}, {2.2160131510697956`, 1.7728105208558365`}, {
     1.7728105208558367`, 0.8864052604279178}, {2.6592157812837547`, 
     0.8864052604279178}}]& ],
  AspectRatio->1.2909944487358056`,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{
  3.5444687390088005`*^9, {3.5448724905741253`*^9, 3.544872501468748*^9}, {
   3.5448725469183483`*^9, 3.5448725768400593`*^9}, 3.5448727068124933`*^9, 
   3.5448729965030627`*^9, 3.5448730381014423`*^9, {3.5448731193150873`*^9, 
   3.5448731516789384`*^9}, 3.544873185156853*^9, 3.5448733646821213`*^9, 
   3.544873404484398*^9, 3.544873841327384*^9, 3.5448739504306245`*^9, 
   3.557601287948907*^9, 3.563033230933992*^9}]
}, Open  ]],

Cell["Parte c)", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.5448724088434505`*^9, 3.544872466122727*^9}, {3.544873282823439*^9, 
  3.544873315203291*^9}, {3.5448733544755373`*^9, 3.544873354838558*^9}, {
  3.557601242866806*^9, 3.557601265562254*^9}, {3.5580026010945997`*^9, 
  3.5580026287201796`*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"W", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ordena", "[", "Datos_List", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"CNI", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"CND", "=", 
       RowBox[{"{", "}"}]}], ",", 
      RowBox[{"L", "=", 
       RowBox[{"DeleteDuplicates", "[", "Datos", "]"}]}]}], "}"}], ",", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "L", "]"}], "\[GreaterEqual]", "2"}], ",", 
      RowBox[{
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "2"}], ",", 
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{"Length", "[", "L", "]"}]}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Order", "[", 
              RowBox[{
               RowBox[{"L", "[", 
                RowBox[{"[", "1", "]"}], "]"}], ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}], "\[Equal]", 
             RowBox[{"-", "1"}]}], ",", 
            RowBox[{"CNI", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CNI", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}], ",", 
            RowBox[{"CND", "=", 
             RowBox[{"Append", "[", 
              RowBox[{"CND", ",", 
               RowBox[{"L", "[", 
                RowBox[{"[", "i", "]"}], "]"}]}], "]"}]}]}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CNI", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CNI", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"CND", "\[NotEqual]", 
          RowBox[{"{", "}"}]}], ",", 
         RowBox[{"W", "=", 
          RowBox[{"Append", "[", 
           RowBox[{"W", ",", 
            RowBox[{
             RowBox[{"L", "[", 
              RowBox[{"[", "1", "]"}], "]"}], "\[Rule]", 
             RowBox[{"CND", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}]}], "]"}]}]}], "]"}], ";", 
       RowBox[{"Ordena", "[", "CNI", "]"}], ";", 
       RowBox[{"Ordena", "[", "CND", "]"}]}]}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Datos", "=", 
   RowBox[{
   "StringSplit", "[", 
    "\"\<me gusta mi carrera y estudiar en la universidad\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Ordena", "[", "Datos", "]"}], "\[IndentingNewLine]", 
 RowBox[{"TreePlot", "[", 
  RowBox[{"W", ",", "Automatic", ",", 
   RowBox[{"Datos", "[", 
    RowBox[{"[", "1", "]"}], "]"}], ",", 
   RowBox[{"VertexLabeling", "\[Rule]", "True"}], ",", 
   RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.557600587647197*^9, 3.557600600722086*^9}}],

Cell[BoxData[
 GraphicsBox[
  TagBox[GraphicsComplexBox[{{1.1396057645963795`, 3.6467384467084143`}, {
    0.4558423058385518, 2.7350538350313105`}, {1.8233692233542071`, 
    2.7350538350313105`}, {0., 1.8233692233542071`}, {0.9116846116771036, 
    1.8233692233542071`}, {0., 0.9116846116771038}, {0., 0.}, {
    1.8233692233542071`, 1.8233692233542071`}, {1.8233692233542071`, 
    0.9116846116771038}}, {
     {RGBColor[0.5, 0., 0.], 
      LineBox[{{1, 2}, {1, 3}, {2, 4}, {2, 5}, {3, 8}, {4, 6}, {6, 7}, {8, 
       9}}]}, {InsetBox[
       FrameBox["\<\"me\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 1], InsetBox[
       FrameBox["\<\"gusta\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 2], InsetBox[
       FrameBox["\<\"mi\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 3], InsetBox[
       FrameBox["\<\"carrera\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 4], InsetBox[
       FrameBox["\<\"la\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 5], InsetBox[
       FrameBox["\<\"estudiar\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 6], InsetBox[
       FrameBox["\<\"en\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 7], InsetBox[
       FrameBox["\<\"y\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 8], InsetBox[
       FrameBox["\<\"universidad\"\>",
        Background->RGBColor[1, 1, 0.8],
        FrameStyle->RGBColor[0.94, 0.85, 0.36],
        StripOnInput->False], 9]}}],
   Annotation[#, 
    VertexCoordinateRules -> {{1.1396057645963795`, 3.6467384467084143`}, {
     0.4558423058385518, 2.7350538350313105`}, {1.8233692233542071`, 
     2.7350538350313105`}, {0., 1.8233692233542071`}, {0.9116846116771036, 
     1.8233692233542071`}, {0., 0.9116846116771038}, {0., 0.}, {
     1.8233692233542071`, 1.8233692233542071`}, {1.8233692233542071`, 
     0.9116846116771038}}]& ],
  AspectRatio->1.4142135623730951`,
  FrameTicks->None,
  ImagePadding->10,
  PlotRange->All,
  PlotRangePadding->Scaled[0.1]]], "Output",
 CellChangeTimes->{3.557600603842894*^9, 3.557680986278569*^9}]
}, Open  ]],

Cell["Ejercicio 4", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQAGIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniH5YvmtZVzLQnAk7loNoBkcGls6UV44HDhmCad4dvYqR
ma8ccy9kqYHoqy5Ruj+BtNLUcjCdM2WL/i8gHbFLxBBE23RN+h/ZBAzPLSyM
UUAaAPI8u0I=
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ArbolSA", "[", "n_", "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", "}"}], ",", 
     RowBox[{
      RowBox[{"G", "=", 
       RowBox[{"RandomGraph", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"n", ",", 
           RowBox[{"n", "-", "1"}]}], "}"}], ",", 
         RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
         RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], ";", 
      RowBox[{"While", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"ConnectedGraphQ", "[", "G", "]"}], "\[Equal]", "False"}], 
        ",", " ", 
        RowBox[{"G", "=", 
         RowBox[{"RandomGraph", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"n", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}], ",", 
           RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
           RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}]}], "]"}], ";", 
      RowBox[{"Return", "[", "G", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"G", "=", 
  RowBox[{"ArbolSA", "[", "20", "]"}]}]}], "Input",
 CellChangeTimes->{
  3.5452217369314365`*^9, 3.5452217712383986`*^9, {3.545223590332445*^9, 
   3.545223608565488*^9}, {3.5452236593423924`*^9, 3.545223662018545*^9}, 
   3.5580026961490364`*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19,
       20}, {Null, {{1, 14}, {2, 10}, {3, 7}, {4, 11}, {5, 6}, {5, 7}, {6, 
       16}, {7, 14}, {7, 20}, {8, 14}, {9, 8}, {12, 4}, {13, 19}, {15, 19}, {
       15, 11}, {15, 2}, {17, 4}, {18, 16}, {20, 17}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.0379671021922667`, 1.735981201252724}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.8679906006263619, 1.735981201252724}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.301985900939543, 2.603971801879086}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.8679906006263619, 4.33995300313181}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.169976501565905, 2.603971801879086}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.169976501565905, 1.735981201252724}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.3869741517224954`, 3.471962402505448}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.905957702818629, 1.735981201252724}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.905957702818629, 0.8679906006263618}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$9"], 
         InsetBox[
          FormBox["9", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$9", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$9"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.8679906006263619, 0.8679906006263618}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$10"], 
         InsetBox[
          FormBox["10", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$10", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$10"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.43399530031318095`, 3.471962402505448}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$11"], 
         InsetBox[
          FormBox["11", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$11", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$11"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.301985900939543, 3.471962402505448}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$12"], 
         InsetBox[
          FormBox["12", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$12", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$12"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.8679906006263618}, 0.04422435131430806], 
          "DynamicName", BoxID -> "VertexID$13"], 
         InsetBox[
          FormBox["13", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$13", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$13"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.4719624025054476`, 2.603971801879086}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$14"], 
         InsetBox[
          FormBox["14", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$14", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$14"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.43399530031318095`, 2.603971801879086}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$15"], 
         InsetBox[
          FormBox["15", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$15", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$15"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.169976501565905, 0.8679906006263618}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$16"], 
         InsetBox[
          FormBox["16", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$16", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$16"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.6274823761744286`, 5.207943603758172}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$17"], 
         InsetBox[
          FormBox["17", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$17", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$17"], 
       TagBox[{
         TagBox[
          DiskBox[{2.169976501565905, 0.}, 0.04422435131430806], 
          "DynamicName", BoxID -> "VertexID$18"], 
         InsetBox[
          FormBox["18", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$18", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$18"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 1.735981201252724}, 0.04422435131430806], 
          "DynamicName", BoxID -> "VertexID$19"], 
         InsetBox[
          FormBox["19", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$19", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$19"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.3869741517224954`, 4.33995300313181}, 
           0.04422435131430806], "DynamicName", BoxID -> "VertexID$20"], 
         InsetBox[
          FormBox["20", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$20", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$20"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$14", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$10", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$15", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$11", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$12", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$17", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$16", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$14", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$20", Automatic, Center]}, {
          DynamicLocation["VertexID$8", Automatic, Center], 
          DynamicLocation["VertexID$14", Automatic, Center]}, {
          DynamicLocation["VertexID$8", Automatic, Center], 
          DynamicLocation["VertexID$9", Automatic, Center]}, {
          DynamicLocation["VertexID$11", Automatic, Center], 
          DynamicLocation["VertexID$15", Automatic, Center]}, {
          DynamicLocation["VertexID$13", Automatic, Center], 
          DynamicLocation["VertexID$19", Automatic, Center]}, {
          DynamicLocation["VertexID$15", Automatic, Center], 
          DynamicLocation["VertexID$19", Automatic, Center]}, {
          DynamicLocation["VertexID$16", Automatic, Center], 
          DynamicLocation["VertexID$18", Automatic, Center]}, {
          DynamicLocation["VertexID$17", Automatic, Center], 
          DynamicLocation["VertexID$20", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{46.85131732278538, 
       975.1944828752468}, {-664.3826694288895, 577.9027353701259}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.545223616415937*^9, 3.545223697365567*^9, 
  3.545224055641059*^9, 3.5580026961900387`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"root", "=", "17"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RPRO", "=", "\"\<\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RPO", "=", "\"\<\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthFirstScan", "[", 
   RowBox[{"G", ",", "root", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<PrevisitVertex\>\"", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"RPRO", "=", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"RPRO", ",", "\"\<-\>\"", ",", 
            RowBox[{"ToString", "[", "#", "]"}]}], "]"}]}], ")"}], "&"}], 
       ")"}]}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DepthFirstScan", "[", 
   RowBox[{"G", ",", "root", ",", 
    RowBox[{"{", 
     RowBox[{"\"\<PostvisitVertex\>\"", "\[Rule]", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"RPO", "=", 
          RowBox[{"StringJoin", "[", 
           RowBox[{"RPO", ",", "\"\<-\>\"", ",", 
            RowBox[{"ToString", "[", "#", "]"}]}], "]"}]}], ")"}], "&"}], 
       ")"}]}], "}"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<El orden prefijo es: \>\"", ",", " ", "RPRO"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<El orden postfijo es: \>\"", ",", " ", "RPO"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.545223625398451*^9, 3.545223653421054*^9}, 
   3.54522370388594*^9, {3.545223825024869*^9, 3.5452240215551095`*^9}, {
   3.5452240626444597`*^9, 3.5452240633845024`*^9}, 3.5452241383397894`*^9, 
   3.5452241926608963`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El orden prefijo es: \"\>", 
   "\[InvisibleSpace]", \
"\<\"-17-4-11-15-19-13-2-10-12-20-7-3-5-6-16-18-14-1-8-9\"\>"}],
  SequenceForm[
  "El orden prefijo es: ", 
   "-17-4-11-15-19-13-2-10-12-20-7-3-5-6-16-18-14-1-8-9"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.545223974028391*^9, 3.545224064133545*^9}, 
   3.5452241424570246`*^9, 3.5452241970341463`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El orden postfijo es: \"\>", 
   "\[InvisibleSpace]", \
"\<\"-13-19-10-2-15-11-12-4-3-18-16-6-5-1-9-8-14-7-20-17\"\>"}],
  SequenceForm[
  "El orden postfijo es: ", 
   "-13-19-10-2-15-11-12-4-3-18-16-6-5-1-9-8-14-7-20-17"],
  Editable->False]], "Print",
 CellChangeTimes->{{3.545223974028391*^9, 3.545224064133545*^9}, 
   3.5452241424570246`*^9, 3.5452241970361466`*^9}]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Ejercicio 6",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.554571008252273*^9, 3.554571017725855*^9}, {
  3.55457107750524*^9, 3.554571083213578*^9}, {3.554576835808043*^9, 
  3.5545768489801807`*^9}, {3.557601129672514*^9, 3.557601145597499*^9}, {
  3.55800253011854*^9, 3.5580025340567656`*^9}, {3.5580029037009077`*^9, 
  3.558002904230938*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell["Parte a)", "Text",
 CellChangeTimes->{{3.5383068285743217`*^9, 3.538306839139926*^9}, {
  3.540038094961193*^9, 3.5400381301642065`*^9}, {3.54003873357272*^9, 
  3.5400387471694975`*^9}, {3.540039420715022*^9, 3.540039446223481*^9}, {
  3.540039550859466*^9, 3.540039580213145*^9}, {3.540039944503981*^9, 
  3.5400399593238287`*^9}, {3.5400407258286705`*^9, 3.5400407295958858`*^9}, {
  3.5400420230448666`*^9, 3.540042025561011*^9}, {3.54123463308519*^9, 
  3.5412346464979563`*^9}, {3.5424551226061697`*^9, 3.5424551301326003`*^9}, {
  3.5444362139384727`*^9, 3.5444362276342564`*^9}, {3.544437907774355*^9, 
  3.5444379091364326`*^9}, {3.5444405335025377`*^9, 3.544440553750696*^9}, {
  3.5448724088434505`*^9, 3.5448724173609376`*^9}, {3.5448733246138296`*^9, 
  3.544873325584885*^9}, {3.557601148917783*^9, 3.55760117925309*^9}, {
  3.558002590836013*^9, 3.558002594094199*^9}},
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"G1", "=", 
  RowBox[{"WeightedAdjacencyGraph", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"\[Infinity]", "3", "2", "\[Infinity]", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"3", "\[Infinity]", "4", "2", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"2", "4", "\[Infinity]", "3", "2", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]"},
       {"\[Infinity]", "2", "3", "\[Infinity]", "5", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"\[Infinity]", "\[Infinity]", "2", "5", "\[Infinity]", "4", 
        "\[Infinity]", "5"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", "4", 
        "\[Infinity]", "5", "\[Infinity]"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "5", "\[Infinity]", "4"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", "5", 
        "\[Infinity]", "4", "\[Infinity]"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
    RowBox[{"ImagePadding", "\[Rule]", "10"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"WeightedAdjacencyMatrix", "[", "G1", "]"}], "//", 
  "MatrixForm"}], "\[IndentingNewLine]", 
 RowBox[{"EdgeList", "[", "G1", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.557681323884879*^9, 3.5576815555961323`*^9}, {
  3.557681623706028*^9, 3.5576816865876245`*^9}, {3.5576818931534395`*^9, 
  3.557681896979658*^9}, {3.557682120601449*^9, 3.5576821365273595`*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8}, {Null, 
       SparseArray[
       Automatic, {8, 8}, 0, {
        1, {{0, 2, 5, 9, 12, 16, 18, 20, 22}, {{2}, {3}, {1}, {3}, {4}, {1}, {
          2}, {4}, {5}, {2}, {3}, {5}, {3}, {4}, {6}, {8}, {5}, {7}, {6}, {
          8}, {5}, {7}}}, Pattern}]}, {
      EdgeWeight -> {3, 2, 4, 2, 3, 2, 5, 4, 5, 5, 4}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]], Typeset`boxes, Typeset`boxes$s2d = 
    GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.8304608551060986}, 0.03825556670992421], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.3686701504654306, 0.14971649187680974`}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.0289618499077386`, 0.6158686826067596}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{1.3179968083828941`, 0.}, 0.03825556670992421], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.308486513199544, 0.4104169276349948}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.370670479145664, 0.9020743357517045}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{4.197983292001927, 0.5037415359082588}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.4151562511139613`, 0.025669473376080276`}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.39999999999998, 
       1051.4474219793342`}, {-176.26342197933377`, 90.75808845216437}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.5576815587103105`*^9, {3.557681626630195*^9, 3.5576816609031553`*^9}, 
   3.557681899056777*^9, 3.557682010166132*^9, 3.557682137875437*^9}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "3", "2", "0", "0", "0", "0", "0"},
     {"3", "0", "4", "2", "0", "0", "0", "0"},
     {"2", "4", "0", "3", "2", "0", "0", "0"},
     {"0", "2", "3", "0", "5", "0", "0", "0"},
     {"0", "0", "2", "5", "0", "4", "0", "5"},
     {"0", "0", "0", "0", "4", "0", "5", "0"},
     {"0", "0", "0", "0", "0", "5", "0", "4"},
     {"0", "0", "0", "0", "5", "0", "4", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {8, 8}, 0, {
     1, {{0, 2, 5, 9, 12, 16, 18, 20, 22}, {{2}, {3}, {1}, {3}, {4}, {1}, {
       2}, {4}, {5}, {2}, {3}, {5}, {3}, {4}, {6}, {8}, {5}, {7}, {6}, {8}, {
       5}, {7}}}, {3, 2, 3, 4, 2, 2, 4, 3, 2, 2, 3, 5, 2, 5, 4, 5, 4, 5, 5, 4,
       5, 4}}]]]]], "Output",
 CellChangeTimes->{
  3.5576815587103105`*^9, {3.557681626630195*^9, 3.5576816609031553`*^9}, 
   3.557681899056777*^9, 3.557682010166132*^9, 3.5576821379174395`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
   RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
   RowBox[{"2", "\[UndirectedEdge]", "3"}], ",", 
   RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
   RowBox[{"3", "\[UndirectedEdge]", "4"}], ",", 
   RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
   RowBox[{"4", "\[UndirectedEdge]", "5"}], ",", 
   RowBox[{"5", "\[UndirectedEdge]", "6"}], ",", 
   RowBox[{"5", "\[UndirectedEdge]", "8"}], ",", 
   RowBox[{"6", "\[UndirectedEdge]", "7"}], ",", 
   RowBox[{"7", "\[UndirectedEdge]", "8"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.5576815587103105`*^9, {3.557681626630195*^9, 3.5576816609031553`*^9}, 
   3.557681899056777*^9, 3.557682010166132*^9, 3.5576821379204397`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"G2", "=", 
    RowBox[{"SetGraphOptions", "[", 
     RowBox[{
      RowBox[{"FromUnorderedPairs", "[", "h", "]"}], ",", 
      RowBox[{"VertexColor", "\[Rule]", "Black"}], ",", 
      RowBox[{"EdgeColor", "\[Rule]", "Black"}]}], "]"}]}], ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G2", "=", 
   RowBox[{"SetEdgeWeights", "[", 
    RowBox[{"G2", ",", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "5", ",", 
       "4", ",", "5", ",", "5", ",", "4"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5576821478410068`*^9, 3.5576822124997053`*^9}, {
   3.5576824433659096`*^9, 3.5576824500152903`*^9}, {3.5576826762682314`*^9, 
   3.55768281139596*^9}, 3.5576828588126717`*^9, 3.5576829751023235`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{
  3.557682450430314*^9, {3.557682804907589*^9, 3.5576828124630213`*^9}, 
   3.5576828618418455`*^9, 3.557682977753475*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 1.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.14644660940672627`,
       0.8535533905932737}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5, 1.}, {0.14644660940672627`, 0.8535533905932737}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], LineBox[{{0.5, 1.}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
      0.14644660940672616`, 0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0., 0.5}, {0.14644660940672616`, 0.14644660940672627`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {0.5, 0.}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {1., 0.5}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.5, 0.}, {0.8535533905932737, 0.14644660940672616`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 0.5}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
     {GrayLevel[0], 
      InsetBox["1", 
       Scaled[{-0.02, -0.02}, {0.8535533905932737, 0.8535533905932737}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 1.}]}, 
     {GrayLevel[0], InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
     {GrayLevel[0], 
      InsetBox["3", 
       Scaled[{-0.02, -0.02}, {0.14644660940672627`, 0.8535533905932737}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.5}]}, 
     {GrayLevel[0], InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
     {GrayLevel[0], 
      InsetBox["5", 
       Scaled[{-0.02, -0.02}, {0.14644660940672616`, 0.14644660940672627`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5, 0.}]}, 
     {GrayLevel[0], InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
     {GrayLevel[0], 
      InsetBox["7", 
       Scaled[{-0.02, -0.02}, {0.8535533905932737, 0.14644660940672616`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.5}]}, 
     {GrayLevel[0], InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.10500000000000001`, 1.105}, {-0.10500000000000001`, 1.105}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{
  3.557682450610324*^9, {3.5576828051056004`*^9, 3.557682812643031*^9}, 
   3.5576828620508575`*^9, 3.557682977932485*^9}]
}, Open  ]],

Cell["\<\
\[CapitalAAcute]rbol buscar primero a lo ancho\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdEPdipVxiW9cnR6f74KRO9LDc7a
lPLK0dnOJRtE/2Dft68y45XjFe+SAyC65XjFpCogvSJ2CZg+JbLhVjWQ3sJq
cRdE9/yV2u2X+cox8a3zIRA9NzJKwx9IxzSm6YDoWeb+hiC64moUmH6wJ/r3
1MZXjn/+Gv4D0c1Vx5mnAel51V2sIPq9XUz8XiA96fyjRBANALotmuY=
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"v", "=", 
  RowBox[{"BreadthFirstTraversal", "[", 
   RowBox[{"G2", ",", "1", ",", "Edge"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AnimateGraph", "[", 
  RowBox[{"G2", ",", "v", ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.557682340377019*^9, 3.5576823543178167`*^9}, {
  3.55768243917667*^9, 3.5576824789009423`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "8"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "7"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.557682344905278*^9, 3.5576823678845925`*^9}, {
   3.5576824626580133`*^9, 3.557682481043065*^9}, 3.5576828198294425`*^9, 
   3.557682991701273*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i16$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = Automatic, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i16$$], 1, ""}, 1, 7, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i16$14415$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                TagBox[
                 PaneBox[
                  
                  DynamicModuleBox[{Typeset`open$$ = False, Typeset`paused$$ =
                    Automatic, Typeset`rate$$ = Automatic, Typeset`dir$$ = 
                   Forward}, 
                   StyleBox[
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator04"][
                    Dynamic[$CellContext`i16$$], 
                    Dynamic[$CellContext`i16$$], {1, 7, 1}, Medium, Small, 
                    Automatic, True, Automatic, False, True, False, {
                    "DirectionButton", "FasterSlowerButtons", 
                    "PlayPauseButton"}, False, {}, 
                    Dynamic[Typeset`open$$], 
                    Dynamic[Typeset`paused$$], 
                    Dynamic[Typeset`rate$$], 
                    Dynamic[Typeset`dir$$]],
                    ImageSizeCache->{626., {27., 43.}}],
                    DynamicUpdating->True],
                   DynamicModuleValues:>{}],
                  BaselinePosition->Baseline,
                  ImageMargins->0],
                 Manipulate`InterpretManipulator[
                  Dynamic[$CellContext`i16$$], {1, 7, 1}, {
                  AutoAction -> False, AnimationRate -> Automatic, 
                   AnimationDirection -> Forward, AnimationRate -> Automatic, 
                   PausedTime -> Automatic, 
                   AppearanceElements -> {
                    "ProgressSlider", "PlayPauseButton", 
                    "FasterSlowerButtons", "DirectionButton"}}]]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 2->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 3->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 4->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 5->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 6->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 7->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}]}, Dynamic[$CellContext`i16$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i16$$, \
$CellContext`i16$14415$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 7, 1}, 7, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{1173., {617.75, 634.75}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.557682344905278*^9, 3.5576823678845925`*^9}, {
   3.5576824626580133`*^9, 3.557682481043065*^9}, 3.5576828198294425`*^9, 
   3.557682991984289*^9}]
}, Open  ]],

Cell["\<\
\[CapitalAAcute]rbol buscar primero a lo largo\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdEPdipVxiW9cnR6f74KRO9LDc7a
lPLK0dnOJRtE/2Dft68y45XjFe+SAyC65XjFpCogvSJ2CZg+JbLhVjWQ3sJq
cRdE9/yV2u2X+cox8a3zIRA9NzJKwx9IxzSm6YDoWeb+hiC64moUmH6wJ/r3
1MZXjn/+Gv4D0c1Vx5mnAel51V2sIPq9XUz8XiCt8og5GUQDALISma4=
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"v", "=", 
  RowBox[{"DepthFirstTraversal", "[", 
   RowBox[{"G2", ",", "1", ",", "Edge"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AnimateGraph", "[", 
  RowBox[{"G2", ",", "v", ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5576822867579527`*^9, 3.5576823114873667`*^9}, {
  3.5576824712885065`*^9, 3.5576824853483114`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2", ",", "3"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3", ",", "4"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4", ",", "5"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5", ",", "6"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"6", ",", "7"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"7", ",", "8"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.557682300738752*^9, 3.5576823121684055`*^9}, 
   3.5576824873884277`*^9, 3.5576828243317*^9, 3.5576829963815403`*^9}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i17$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = Automatic, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i17$$], 1, ""}, 1, 7, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i17$15027$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                TagBox[
                 PaneBox[
                  
                  DynamicModuleBox[{Typeset`open$$ = False, Typeset`paused$$ =
                    Automatic, Typeset`rate$$ = Automatic, Typeset`dir$$ = 
                   Forward}, 
                   StyleBox[
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator04"][
                    Dynamic[$CellContext`i17$$], 
                    Dynamic[$CellContext`i17$$], {1, 7, 1}, Medium, Small, 
                    Automatic, True, Automatic, False, True, False, {
                    "DirectionButton", "FasterSlowerButtons", 
                    "PlayPauseButton"}, False, {}, 
                    Dynamic[Typeset`open$$], 
                    Dynamic[Typeset`paused$$], 
                    Dynamic[Typeset`rate$$], 
                    Dynamic[Typeset`dir$$]],
                    ImageSizeCache->{626., {27., 43.}}],
                    DynamicUpdating->True],
                   DynamicModuleValues:>{}],
                  BaselinePosition->Baseline,
                  ImageMargins->0],
                 Manipulate`InterpretManipulator[
                  Dynamic[$CellContext`i17$$], {1, 7, 1}, {
                  AutoAction -> False, AnimationRate -> Automatic, 
                   AnimationDirection -> Forward, AnimationRate -> Automatic, 
                   PausedTime -> Automatic, 
                   AppearanceElements -> {
                    "ProgressSlider", "PlayPauseButton", 
                    "FasterSlowerButtons", "DirectionButton"}}]]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 2->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 3->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 4->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 5->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 6->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 7->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}]}, Dynamic[$CellContext`i17$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i17$$, \
$CellContext`i17$15027$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 7, 1}, 7, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{1173., {617.75, 634.75}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.557682300738752*^9, 3.5576823121684055`*^9}, 
   3.5576824873884277`*^9, 3.5576828243317*^9, 3.557682996667557*^9}]
}, Open  ]],

Cell["\[CapitalAAcute]rbol por el algoritmo de Prim", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdEPdipVxiW9cnR6f74KRO9LDc7a
lPLK0dnOJRtE/2Dft68y45XjFe+SAyC65XjFpCogvSJ2CZg+JbLhVjWQ3sJq
cRdE9/yV2u2X+cox8a3zIRA9NzJKwx9IxzSm6YDoWeb+hiC64moUmH6wJ/r3
1MZXjn/+Gv4D0c1Vx5mnAel51V2sIPq9XUz8XiBtYmOQCqIBryCZRw==
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[BoxData[
 RowBox[{
  RowBox[{"AlPrim", "[", "G_Graph", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ConnectedGraphQ", "[", "G", "]"}], "\[Equal]", "True"}], ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"n", "=", 
         RowBox[{"VertexCount", "[", "G", "]"}]}], ",", 
        RowBox[{"m", "=", 
         RowBox[{"EdgeCount", "[", "G", "]"}]}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"TablaP", "=", 
        RowBox[{"TableForm", "[", 
         RowBox[{
          RowBox[{"Normal", "@", 
           RowBox[{"WeightedAdjacencyMatrix", "[", "G", "]"}]}], ",", 
          RowBox[{"TableHeadings", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"#", ",", "Black"}], "]"}], "&"}], "/@", 
              RowBox[{"VertexList", "[", "G", "]"}]}], ",", 
             RowBox[{
              RowBox[{
               RowBox[{"Style", "[", 
                RowBox[{"#", ",", "Black"}], "]"}], "&"}], "/@", 
              RowBox[{"VertexList", "[", "G", "]"}]}]}], "}"}]}]}], "]"}]}], 
       ";", 
       RowBox[{"Print", "[", "\"\<Tabla de pesos del grafo\>\"", "]"}], ";", 
       RowBox[{"Print", "[", "TablaP", "]"}], ";", 
       RowBox[{"T", "=", 
        RowBox[{"VertexList", "[", "G", "]"}]}], ";", 
       RowBox[{"TO", "=", 
        RowBox[{"Sort", "[", "T", "]"}]}], ";", 
       RowBox[{"L", "=", 
        RowBox[{"EdgeList", "[", "G", "]"}]}], ";", 
       RowBox[{"MP", "=", 
        RowBox[{"WeightedAdjacencyMatrix", "[", "G", "]"}]}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{"\"\<El orden de V es: \>\"", ",", " ", "TO"}], "]"}], ";", 
       RowBox[{"AI", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"AIS", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "n"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"EdgeQ", "[", 
              RowBox[{"G", ",", 
               RowBox[{
                RowBox[{"TO", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
                RowBox[{"T", "[", 
                 RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
             "True"}], ",", 
            RowBox[{
             RowBox[{"AI", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AI", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"TO", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"MP", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "i"}], "]"}], "]"}]}], "}"}]}], "]"}], 
               "]"}]}], ";", 
             RowBox[{"AIS", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AIS", ",", 
                 RowBox[{"Sort", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"TO", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}]}]}]}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"LPesos", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{"Length", "[", "AI", "]"}]}], ",", 
         RowBox[{
          RowBox[{"LPesos", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"LPesos", ",", 
             RowBox[{"AI", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "]"}]}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"pesomin", "=", 
        RowBox[{"Min", "[", "LPesos", "]"}]}], ";", 
       RowBox[{"Lpospesomin", "=", 
        RowBox[{"Position", "[", 
         RowBox[{"LPesos", ",", "pesomin"}], "]"}]}], ";", 
       RowBox[{"pospesomin", "=", 
        RowBox[{"Lpospesomin", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
       RowBox[{"Arista", "=", 
        RowBox[{"AIS", "[", 
         RowBox[{"[", "pospesomin", "]"}], "]"}]}], ";", 
       RowBox[{"AristasArbol", "=", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"Arista", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
          RowBox[{"Arista", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "}"}]}], ";", 
       RowBox[{"peso", "=", "pesomin"}], ";", 
       RowBox[{"AristasS", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"AristasSS", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"Arista", "=", 
        RowBox[{"Last", "[", "AristasArbol", "]"}]}], ";", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", "n"}], ",", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"EdgeQ", "[", 
                RowBox[{"G", ",", 
                 RowBox[{
                  RowBox[{"Arista", "[", 
                   RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
                  RowBox[{"T", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
               "True"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ToString", "[", 
                RowBox[{"Arista", "[", 
                 RowBox[{"[", "2", "]"}], "]"}], "]"}], "\[NotEqual]", 
               RowBox[{"ToString", "[", 
                RowBox[{"T", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"pos1", "=", 
              RowBox[{"Position", "[", 
               RowBox[{"T", ",", 
                RowBox[{"Arista", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
             RowBox[{"pos1ext", "=", 
              RowBox[{"pos1", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
             RowBox[{"AristasS", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AristasS", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"MP", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos1ext", ",", "i"}], "]"}], "]"}]}], "}"}]}], 
                "]"}], "]"}]}], ";", 
             RowBox[{"AristasSS", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AristasSS", ",", 
                 RowBox[{"Sort", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}]}]}]}], "]"}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"EdgeQ", "[", 
                RowBox[{"G", ",", 
                 RowBox[{
                  RowBox[{"Arista", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "\[UndirectedEdge]", 
                  RowBox[{"T", "[", 
                   RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
               "True"}], ")"}], "&&", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"ToString", "[", 
                RowBox[{"Arista", "[", 
                 RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[NotEqual]", 
               RowBox[{"ToString", "[", 
                RowBox[{"T", "[", 
                 RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ")"}]}], ",", 
            RowBox[{
             RowBox[{"pos1", "=", 
              RowBox[{"Position", "[", 
               RowBox[{"T", ",", 
                RowBox[{"Arista", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 
             RowBox[{"pos1ext", "=", 
              RowBox[{"pos1", "[", 
               RowBox[{"[", 
                RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
             RowBox[{"AristasS", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AristasS", ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
                   RowBox[{"MP", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos1ext", ",", "i"}], "]"}], "]"}]}], "}"}]}], 
                "]"}], "]"}]}], ";", 
             RowBox[{"AristasSS", "=", 
              RowBox[{"Sort", "[", 
               RowBox[{"Append", "[", 
                RowBox[{"AristasSS", ",", 
                 RowBox[{"Sort", "[", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
               "]"}]}]}]}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Inicializaci\[OAcute]n, el \[AAcute]rbol est\[AAcute] formado \
por la arista: \>\"", ",", "AristasArbol"}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El conjunto de aristas seleccionables es: \>\"", ",", 
         "AristasS"}], "]"}], ";", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "AristasArbol", "]"}], "<", 
          RowBox[{"n", "-", "1"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"Arbol", "=", 
           RowBox[{"Graph", "[", "AristasArbol", "]"}]}], ";", 
          RowBox[{"LPesos", "=", 
           RowBox[{"{", "}"}]}], ";", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"i", "=", "1"}], ",", 
            RowBox[{"i", "\[LessEqual]", 
             RowBox[{"Length", "[", "AristasS", "]"}]}], ",", 
            RowBox[{
             RowBox[{"LPesos", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"LPesos", ",", 
                RowBox[{"AristasS", "[", 
                 RowBox[{"[", 
                  RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "]"}]}], ";", 
             RowBox[{"i", "++"}]}]}], "]"}], ";", 
          RowBox[{"pesomin", "=", 
           RowBox[{"Min", "[", "LPesos", "]"}]}], ";", 
          RowBox[{"Lpospesomin", "=", 
           RowBox[{"Position", "[", 
            RowBox[{"LPesos", ",", "pesomin"}], "]"}]}], ";", 
          RowBox[{"pospesomin", "=", 
           RowBox[{"Lpospesomin", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
          RowBox[{"Arista", "=", 
           RowBox[{"AristasSS", "[", 
            RowBox[{"[", "pospesomin", "]"}], "]"}]}], ";", 
          RowBox[{"NArbol", "=", 
           RowBox[{"Graph", "[", 
            RowBox[{"Append", "[", 
             RowBox[{"AristasArbol", ",", 
              RowBox[{
               RowBox[{"Arista", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
               RowBox[{"Arista", "[", 
                RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}], "]"}]}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"AcyclicGraphQ", "[", "NArbol", "]"}], "\[Equal]", 
             "True"}], ",", 
            RowBox[{
             RowBox[{"AristasArbol", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"AristasArbol", ",", 
                RowBox[{
                 RowBox[{"Arista", "[", 
                  RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
                 RowBox[{"Arista", "[", 
                  RowBox[{"[", "2", "]"}], "]"}]}]}], "]"}]}], ";", 
             RowBox[{"Arbol", "=", 
              RowBox[{"Graph", "[", 
               RowBox[{"AristasArbol", ",", 
                RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
                RowBox[{"ImagePadding", "\[Rule]", "10"}]}], "]"}]}], ";", 
             RowBox[{"peso", "=", 
              RowBox[{"peso", "+", "pesomin"}]}], ";", 
             RowBox[{"AristasS", "=", 
              RowBox[{"Delete", "[", 
               RowBox[{"AristasS", ",", "pospesomin"}], "]"}]}], ";", 
             RowBox[{"AristasSS", "=", 
              RowBox[{"Delete", "[", 
               RowBox[{"AristasSS", ",", "pospesomin"}], "]"}]}], ";", 
             RowBox[{"Print", "[", 
              RowBox[{"\"\<Se agreg\[OAcute] la arista: \>\"", ",", 
               RowBox[{"Last", "[", "AristasArbol", "]"}], ",", 
               "\"\< y los lados del \[AAcute]rbol de expansi\[OAcute]n son: \
\>\"", ",", " ", "AristasArbol"}], "]"}], ";", 
             RowBox[{"Print", "[", "Arbol", "]"}], ";", 
             RowBox[{"Print", "[", 
              RowBox[{"\"\<El peso m\[IAcute]nimo es: \>\"", ",", "peso"}], 
              "]"}], ";", 
             RowBox[{"Arista", "=", 
              RowBox[{"Last", "[", "AristasArbol", "]"}]}], ";", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"i", "=", "1"}], ",", 
               RowBox[{"i", "\[LessEqual]", "n"}], ",", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"EdgeQ", "[", 
                    RowBox[{"G", ",", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
                    "True"}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "]"}], "\[NotEqual]", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"EdgeQ", "[", 
                    RowBox[{"Arbol", ",", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "\[UndirectedEdge]", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
                    "False"}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"AristasSS", ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "\[Equal]", "False"}], ")"}]}], ",", 
                  RowBox[{
                   RowBox[{"pos1", "=", 
                    RowBox[{"Position", "[", 
                    RowBox[{"T", ",", 
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
                   RowBox[{"pos1ext", "=", 
                    RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
                   RowBox[{"AristasS", "=", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"Append", "[", 
                    RowBox[{"AristasS", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"MP", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos1ext", ",", "i"}], "]"}], "]"}]}], "}"}]}], 
                    "]"}], "]"}]}], ";", 
                   RowBox[{"AristasSS", "=", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"Append", "[", 
                    RowBox[{"AristasSS", ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "]"}]}]}]}], "]"}], ";", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"EdgeQ", "[", 
                    RowBox[{"G", ",", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[UndirectedEdge]", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
                    "True"}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"ToString", "[", 
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "]"}], "\[NotEqual]", 
                    RowBox[{"ToString", "[", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "]"}]}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"EdgeQ", "[", 
                    RowBox[{"Arbol", ",", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], "\[UndirectedEdge]", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}]}], "]"}], "\[Equal]", 
                    "False"}], ")"}], "&&", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"MemberQ", "[", 
                    RowBox[{"AristasSS", ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "\[Equal]", "False"}], ")"}]}], ",", 
                  RowBox[{
                   RowBox[{"pos1", "=", 
                    RowBox[{"Position", "[", 
                    RowBox[{"T", ",", 
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";", 
                   RowBox[{"pos1ext", "=", 
                    RowBox[{"pos1", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], ";", 
                   RowBox[{"AristasS", "=", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"Append", "[", 
                    RowBox[{"AristasS", ",", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}], ",", 
                    RowBox[{"MP", "[", 
                    RowBox[{"[", 
                    RowBox[{"pos1ext", ",", "i"}], "]"}], "]"}]}], "}"}]}], 
                    "]"}], "]"}]}], ";", 
                   RowBox[{"AristasSS", "=", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"Append", "[", 
                    RowBox[{"AristasSS", ",", 
                    RowBox[{"Sort", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"Arista", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ",", 
                    RowBox[{"T", "[", 
                    RowBox[{"[", "i", "]"}], "]"}]}], "}"}], "]"}]}], "]"}], 
                    "]"}]}]}]}], "]"}], ";", 
                RowBox[{"i", "++"}]}]}], "]"}], ";", 
             RowBox[{"Print", "[", 
              RowBox[{
              "\"\<El conjunto de aristas seleccionables es: \>\"", ",", 
               "AristasS"}], "]"}]}], ",", 
            RowBox[{
             RowBox[{"AristasS", "=", 
              RowBox[{"Delete", "[", 
               RowBox[{"AristasS", ",", "pospesomin"}], "]"}]}], ";", 
             RowBox[{"AristasSS", "=", 
              RowBox[{"Delete", "[", 
               RowBox[{"AristasSS", ",", "pospesomin"}], "]"}]}]}]}], 
           "]"}]}]}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El \[AAcute]rbol generador minimal tiene como aristas: \>\"", 
         ",", " ", "AristasArbol", ",", " ", "\"\< y es de peso: \>\"", ",", 
         " ", "peso", ",", " ", "\"\<, gr\[AAcute]ficamente: \>\""}], "]"}], 
       ";", 
       RowBox[{"Print", "[", 
        RowBox[{"Graph", "[", 
         RowBox[{
          RowBox[{"EdgeList", "[", "G", "]"}], ",", 
          RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", "10"}], ",", 
          RowBox[{"GraphHighlight", "\[Rule]", "AristasArbol"}], ",", 
          RowBox[{"GraphHighlightStyle", "\[Rule]", "\"\<Thick\>\""}]}], 
         "]"}], "]"}]}]}], "]"}], ",", 
    RowBox[{
    "Print", "[", 
     "\"\<El grafo no es conexo, el algoritmo de Prim no es aplicable\>\"", 
     "]"}]}], "]"}]}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AlPrim", "[", "G1", "]"}]], "Input",
 CellChangeTimes->{{3.557682002295682*^9, 3.5576820030537252`*^9}}],

Cell[CellGroupData[{

Cell[BoxData["\<\"Tabla de pesos del grafo\"\>"], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830047230177`*^9}],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["1",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["2",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["3",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["4",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["5",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["6",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["7",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["8",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox[
       StyleBox["1",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "3", "2", "0", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["2",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "3", "0", "4", "2", "0", "0", "0", "0"},
     {
      TagBox[
       StyleBox["3",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "2", "4", "0", "3", "2", "0", "0", "0"},
     {
      TagBox[
       StyleBox["4",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "2", "3", "0", "5", "0", "0", "0"},
     {
      TagBox[
       StyleBox["5",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "2", "5", "0", "4", "0", "5"},
     {
      TagBox[
       StyleBox["6",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "4", "0", "5", "0"},
     {
      TagBox[
       StyleBox["7",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "0", "5", "0", "4"},
     {
      TagBox[
       StyleBox["8",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], "0", "0", "0", "0", "5", "0", "4", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, "ColumnsIndexed" -> {}, 
      "Rows" -> {False, True, {False}, False}, "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{
       Style[1, 
        GrayLevel[0]], 
       Style[2, 
        GrayLevel[0]], 
       Style[3, 
        GrayLevel[0]], 
       Style[4, 
        GrayLevel[0]], 
       Style[5, 
        GrayLevel[0]], 
       Style[6, 
        GrayLevel[0]], 
       Style[7, 
        GrayLevel[0]], 
       Style[8, 
        GrayLevel[0]]}, {
       Style[1, 
        GrayLevel[0]], 
       Style[2, 
        GrayLevel[0]], 
       Style[3, 
        GrayLevel[0]], 
       Style[4, 
        GrayLevel[0]], 
       Style[5, 
        GrayLevel[0]], 
       Style[6, 
        GrayLevel[0]], 
       Style[7, 
        GrayLevel[0]], 
       Style[8, 
        GrayLevel[0]]}}]]]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004728018*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El orden de V es: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
    "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
     "8"}], "}"}]}],
  SequenceForm["El orden de V es: ", {1, 2, 3, 4, 5, 6, 7, 8}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830047340183`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Inicializaci\[OAcute]n, el \[AAcute]rbol est\[AAcute] formado \
por la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{"1", "\[UndirectedEdge]", "3"}], "}"}]}],
  SequenceForm[
  "Inicializaci\[OAcute]n, el \[AAcute]rbol est\[AAcute] formado por la \
arista: ", {
    UndirectedEdge[1, 3]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830047370186`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "5"}], "}"}], ",", "2"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{1, 2}, 3}, {{2, 3}, 4}, {{
     3, 4}, 3}, {{3, 5}, 2}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004740019*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"3", "\[UndirectedEdge]", "5"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[3, 5], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004743019*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5}, {Null, {{1, 2}, {2, 3}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 3.6739403974420594`*^-16}, 0.02261146496815286], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          DiskBox[{1., 2.4492935982947064`*^-16}, 0.02261146496815286], 
          "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          DiskBox[{2., 0.}, 0.02261146496815286], "DynamicName", BoxID -> 
          "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.4, 
       1050.843414149385}, {-74.65941414938487, -10.764427281220634`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004746019*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "4"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 4],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.55768300476402*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "2"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "8"}], "}"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{1, 2}, 3}, {{2, 3}, 4}, {{
     3, 4}, 3}, {{4, 5}, 5}, {{5, 6}, 4}, {{5, 8}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.55768300476702*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"1", "\[UndirectedEdge]", "2"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[1, 2], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830047700205`*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5, 2}, {Null, {{1, 2}, {2, 3}, {1, 4}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{1., 3.6739403974420594`*^-16}, 0.030239520958083826`], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          DiskBox[{2., 2.4492935982947064`*^-16}, 0.030239520958083826`], 
          "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          DiskBox[{3., 0.}, 0.030239520958083826`], "DynamicName", BoxID -> 
          "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 4.898587196589413*^-16}, 0.030239520958083826`], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.4, 
       1051.1804329885056`}, {-73.99643298855464, -12.065735863822965`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 
  3.5576830047730207`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "7"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 7],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004802022*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "4"}], "}"}], ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "8"}], "}"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{2, 3}, 4}, {{2, 4}, 2}, {{
     3, 4}, 3}, {{4, 5}, 5}, {{5, 6}, 4}, {{5, 8}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048060226`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"2", "\[UndirectedEdge]", "4"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[2, 4], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[2, 4]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048110228`*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5, 2, 4}, {Null, {{1, 2}, {2, 3}, {1, 4}, {4, 5}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{2., 4.898587196589413*^-16}, 0.03700564971751412], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          DiskBox[{1., 6.123233995736766*^-16}, 0.03700564971751412], 
          "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 7.347880794884119*^-16}, 0.03700564971751412], 
          "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{3., 2.4492935982947064`*^-16}, 0.03700564971751412], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{4., 0.}, 0.03700564971751412], "DynamicName", BoxID -> 
          "VertexID$5"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.39999999999999, 
       1051.4091008025657`}, {-73.22510080261665, -12.627177367909965`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 
  3.5576830048150225`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "9"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 9],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048360243`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"2", ",", "3"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"3", ",", "4"}], "}"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "6"}], "}"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "8"}], "}"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{2, 3}, 4}, {{3, 4}, 3}, {{
     4, 5}, 5}, {{5, 6}, 4}, {{5, 8}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048400245`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", "\[UndirectedEdge]", "6"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "6"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[5, 6], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[2, 4], 
    UndirectedEdge[5, 6]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048440247`*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5, 2, 4, 6}, {
      Null, {{1, 2}, {2, 3}, {1, 4}, {4, 5}, {3, 6}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{3., 4.898587196589413*^-16}, 0.043048128342245986`], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          DiskBox[{2., 6.123233995736766*^-16}, 0.043048128342245986`], 
          "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          DiskBox[{1., 7.347880794884119*^-16}, 0.043048128342245986`], 
          "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{4., 2.4492935982947064`*^-16}, 0.043048128342245986`], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{5., 0.}, 0.043048128342245986`], "DynamicName", BoxID -> 
          "VertexID$5"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 8.572527594031472*^-16}, 0.043048128342245986`], 
          "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.399999999999984`, 
       1051.5867628517324`}, {-73.40276285173248, -13.840329723477907`}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004847025*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "13"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 13],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004873026*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"5", ",", "8"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"6", ",", "7"}], "}"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{4, 5}, 5}, {{5, 8}, 5}, {{
     6, 7}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830048770266`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"5", "\[UndirectedEdge]", "8"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "6"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "8"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[5, 8], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[2, 4], 
    UndirectedEdge[5, 6], 
    UndirectedEdge[5, 8]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004880027*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5, 2, 4, 6, 8}, {
      Null, {{1, 2}, {2, 3}, {1, 4}, {4, 5}, {3, 6}, {3, 7}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.9258200997725514, 2.7774602993176543`}, 
           0.028622071383001782`], "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.4629100498862757, 1.8516401995451028`}, 
           0.028622071383001782`], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.4629100498862757, 0.9258200997725514}, 
           0.028622071383001782`], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.3887301496588271`, 1.8516401995451028`}, 
           0.028622071383001782`], "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.3887301496588271`, 0.9258200997725514}, 
           0.028622071383001782`], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.028622071383001782`], "DynamicName", BoxID -> 
          "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          DiskBox[{0.9258200997725514, 0.}, 0.028622071383001782`], 
          "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{40.872352356943026`, 
       681.5772862071434}, {-669.4745624542695, 583.6425417373346}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004883027*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "18"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 18],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830049100285`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"6", ",", "7"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"7", ",", "8"}], "}"}], ",", "4"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{4, 5}, 5}, {{6, 7}, 5}, {{
     7, 8}, 4}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830049130287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Se agreg\[OAcute] la arista: \"\>", "\[InvisibleSpace]", 
   RowBox[{"7", "\[UndirectedEdge]", "8"}], 
   "\[InvisibleSpace]", "\<\" y los lados del \[AAcute]rbol de expansi\
\[OAcute]n son: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "6"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "8"}], ",", 
     RowBox[{"7", "\[UndirectedEdge]", "8"}]}], "}"}]}],
  SequenceForm["Se agreg\[OAcute] la arista: ", 
   UndirectedEdge[7, 8], 
   " y los lados del \[AAcute]rbol de expansi\[OAcute]n son: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[2, 4], 
    UndirectedEdge[5, 6], 
    UndirectedEdge[5, 8], 
    UndirectedEdge[7, 8]}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004916029*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 3, 5, 2, 4, 6, 8, 7}, {
      Null, {{1, 2}, {2, 3}, {1, 4}, {4, 5}, {3, 6}, {3, 7}, {8, 7}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 1.8017704658458031`}, 0.02806852519923747], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.6756639246921762, 2.7026556987687047`}, 
           0.02806852519923747], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.3513278493843524`, 1.8017704658458031`}, 
           0.02806852519923747], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.9008852329229016}, 0.02806852519923747], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.}, 0.02806852519923747], "DynamicName", BoxID -> 
          "VertexID$5"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.9008852329229016, 0.9008852329229016}, 
           0.02806852519923747], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.8017704658458031`, 0.9008852329229016}, 
           0.02806852519923747], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          DiskBox[{1.8017704658458031`, 0.}, 0.02806852519923747], 
          "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{44.8864373739448, 
       878.2630354195957}, {-665.6166242173135, 579.789020121013}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830049200287`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "22"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.557683004954031*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El conjunto de aristas seleccionables es: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"4", ",", "5"}], "}"}], ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"6", ",", "7"}], "}"}], ",", "5"}], "}"}]}], "}"}]}],
  SequenceForm[
  "El conjunto de aristas seleccionables es: ", {{{4, 5}, 5}, {{6, 7}, 5}}],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830049620314`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El \[AAcute]rbol generador minimal tiene como aristas: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "6"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "8"}], ",", 
     RowBox[{"7", "\[UndirectedEdge]", "8"}]}], "}"}], 
   "\[InvisibleSpace]", "\<\" y es de peso: \"\>", "\[InvisibleSpace]", "22", 
   "\[InvisibleSpace]", "\<\", gr\[AAcute]ficamente: \"\>"}],
  SequenceForm["El \[AAcute]rbol generador minimal tiene como aristas: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[2, 4], 
    UndirectedEdge[5, 6], 
    UndirectedEdge[5, 8], 
    UndirectedEdge[7, 8]}, " y es de peso: ", 22, ", gr\[AAcute]ficamente: "],
  Editable->False]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 3.5576830049650316`*^9}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 8, 7}, {
      Null, {{1, 2}, {1, 3}, {2, 3}, {2, 4}, {3, 4}, {3, 5}, {4, 5}, {5, 6}, {
       5, 7}, {6, 8}, {8, 7}}}, {GraphHighlight -> {
         UndirectedEdge[2, 4], 
         UndirectedEdge[1, 2], 
         UndirectedEdge[7, 8], 
         UndirectedEdge[3, 5], 
         UndirectedEdge[1, 3], 
         UndirectedEdge[5, 6], 
         UndirectedEdge[5, 8]}, GraphHighlightStyle -> {"Thick"}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]], Typeset`boxes, 
    Typeset`boxes$s2d = GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.8307325131466474}, 0.03825204224035955], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.3665343644925576, 0.1497859971858162}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.0283453705393981`, 0.6151832461935958}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{1.3173632145611593`, 0.}, 0.03825204224035955], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.307702204835045, 0.41021163252825416`}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.4148152139510746`, 0.025999172176523422`}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.3699771374256358`, 0.9017611699883386}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          
          DiskBox[{4.1974187993825876`, 0.5035035518914825}, 
           0.03825204224035955], "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       LineBox[{
         DynamicLocation["VertexID$2", Automatic, Center], 
         DynamicLocation["VertexID$3", Automatic, Center]}], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       LineBox[{
         DynamicLocation["VertexID$3", Automatic, Center], 
         DynamicLocation["VertexID$4", Automatic, Center]}], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       LineBox[{
         DynamicLocation["VertexID$4", Automatic, Center], 
         DynamicLocation["VertexID$5", Automatic, Center]}], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False], 
       LineBox[{
         DynamicLocation["VertexID$6", Automatic, Center], 
         DynamicLocation["VertexID$8", Automatic, Center]}], 
       StyleBox[
        LineBox[{
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}], 
        Directive[
         Thickness[Large], 
         Hue[1, 1, 0.7], 
         Opacity[1]], StripOnInput -> False]}}], Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.400000000000006`, 
       1051.4473152374628`}, {-176.26331523730235`, 90.71470221571602}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Print",
 CellChangeTimes->{3.5576820199596925`*^9, 
  3.557683004968032*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
}, Open  ]],

Cell["\<\
\[CapitalAAcute]rbol por el algoritmo de Kruskal\
\>", "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdEPdipVxiW9cnR6f74KRO9LDc7a
lPLK0dnOJRtE/2Dft68y45XjFe+SAyC65XjFpCogvSJ2CZg+JbLhVjWQ3sJq
cRdE9/yV2u2X+cox8a3zIRA9NzJKwx9IxzSm6YDoWeb+hiC64moUmH6wJ/r3
1MZXjn/+Gv4D0c1Vx5mnAel51V2sIPq9XUz8XiC9yuZzGogGALdnmoE=
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AlKruskal", "[", "G_Graph", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"EdgeConnectivity", "[", "G", "]"}], "\[NotEqual]", " ", "0"}], 
    ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{
       RowBox[{"ArbolExpansion", "=", 
        RowBox[{"MinimumSpanningTree", "[", "G", "]"}]}], ";", 
       RowBox[{"Pesos", "=", 
        RowBox[{"GetEdgeWeights", "[", 
         RowBox[{"G", ",", 
          RowBox[{"Edges", "[", "ArbolExpansion", "]"}]}], "]"}]}], ";", 
       RowBox[{"pesominimo", "=", 
        RowBox[{"Total", "[", "Pesos", "]"}]}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: \>\"", ",", 
         " ", 
         RowBox[{"Edges", "[", "ArbolExpansion", "]"}]}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El peso m\[IAcute]nimo es: \>\"", ",", " ", "pesominimo"}], 
        "]"}], ";", 
       RowBox[{
       "Print", "[", 
        "\"\<El \[AAcute]rbol de expansi\[OAcute]n minimal se muestra en la \
siguiente animaci\[OAcute]n: \>\"", "]"}], ";", 
       RowBox[{"AnimateGraph", "[", 
        RowBox[{"G", ",", 
         RowBox[{"Edges", "[", "ArbolExpansion", "]"}], ",", 
         RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}]}]}], "]"}], ",", 
    RowBox[{
    "Print", "[", 
     "\"\<El grafo no es conexo, el algoritmo de Kruskal no es aplicable\>\"",
      "]"}]}], "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{3.5576820805811596`*^9, 3.557682835559342*^9, 
  3.5576830132125034`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AlKruskal", "[", "G2", "]"}]], "Input",
 CellChangeTimes->{{3.5576820843353744`*^9, 3.5576820984091797`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "8"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: ", {{1, 3}, {2,
    4}, {3, 5}, {1, 2}, {5, 6}, {7, 8}, {5, 8}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5576825026993036`*^9, {3.557682838562514*^9, 3.557682842580744*^9}, 
   3.557682876853704*^9, 3.5576830154846334`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "22"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.5576825026993036`*^9, {3.557682838562514*^9, 3.557682842580744*^9}, 
   3.557682876853704*^9, 3.5576830154866333`*^9}],

Cell[BoxData["\<\"El \[AAcute]rbol de expansi\[OAcute]n minimal se muestra en \
la siguiente animaci\[OAcute]n: \"\>"], "Print",
 CellChangeTimes->{
  3.5576825026993036`*^9, {3.557682838562514*^9, 3.557682842580744*^9}, 
   3.557682876853704*^9, 3.5576830154896336`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i18$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = Automatic, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i18$$], 1, ""}, 1, 7, 1}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = True, $CellContext`i18$16064$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                TagBox[
                 PaneBox[
                  
                  DynamicModuleBox[{Typeset`open$$ = False, Typeset`paused$$ =
                    Automatic, Typeset`rate$$ = Automatic, Typeset`dir$$ = 
                   Forward}, 
                   StyleBox[
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator04"][
                    Dynamic[$CellContext`i18$$], 
                    Dynamic[$CellContext`i18$$], {1, 7, 1}, Medium, Small, 
                    Automatic, True, Automatic, False, True, False, {
                    "DirectionButton", "FasterSlowerButtons", 
                    "PlayPauseButton"}, False, {}, 
                    Dynamic[Typeset`open$$], 
                    Dynamic[Typeset`paused$$], 
                    Dynamic[Typeset`rate$$], 
                    Dynamic[Typeset`dir$$]],
                    ImageSizeCache->{626., {27., 43.}}],
                    DynamicUpdating->True],
                   DynamicModuleValues:>{}],
                  BaselinePosition->Baseline,
                  ImageMargins->0],
                 Manipulate`InterpretManipulator[
                  Dynamic[$CellContext`i18$$], {1, 7, 1}, {
                  AutoAction -> False, AnimationRate -> Automatic, 
                   AnimationDirection -> Forward, AnimationRate -> Automatic, 
                   PausedTime -> Automatic, 
                   AppearanceElements -> {
                    "ProgressSlider", "PlayPauseButton", 
                    "FasterSlowerButtons", "DirectionButton"}}]]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 2->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 3->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 4->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 5->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 6->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 7->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}]}, Dynamic[$CellContext`i18$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i18$$, \
$CellContext`i18$16064$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 7, 1}, 7, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{1173., {617.75, 634.75}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{
  3.5576825028963146`*^9, {3.5576828387645254`*^9, 3.5576828427867556`*^9}, 
   3.5576828770557156`*^9, 3.5576830156916447`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejercicio 8",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQB2IQfSNh0sMTMa8c3aqePALREofuWYolvHLUc3S1A9E7
gzd1gui2nNRuEF32cNp9EH1I7fgjEL2/4fZ7EC16qe0ziJ6rIKAoDqTPxbxS
AtEVLbuaQHS9oHEziO7Jf6giAaTPfjZUBdF7zDf3pwHpDaox00C0YXZgfQaQ
7gt71QCi769dZZcPpC8xG9mD6BVn1FUKgPTmI+ZgeseLq+vsEl85rrr1AkxP
/Rz+2h5IG2xIAdMiIbzLHYH0k8faYFpugt1mED3hTSCYjj2naO4EpDu5N1uA
6I/+LW4uQNr1roMniD7ndaIaRFtU3QXTgkuann/NfOVYs2IGmGY5bvC4Yvkr
x/KkJ09B9KPe5y9BtNtW01cgmtn9PXclkLaeXsYLogF1d7kK
  "],
 FontWeight->"Bold",
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", 
   RowBox[{
   "Input", "[", "\"\<Digite el orden del k-\[AAcute]rbol: \>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", 
   RowBox[{
   "Input", "[", 
    "\"\<Digite la cantidad de v\[EAcute]rtices del k-\[AAcute]rbol: \>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"w", "=", 
   RowBox[{
   "Input", "[", "\"\<Digite el dato de b\[UAcute]squeda: \>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ShowGraph", "[", 
  RowBox[{
   RowBox[{"G", "=", 
    RowBox[{"CompleteKaryTree", "[", 
     RowBox[{"n", ",", "k"}], "]"}]}], ",", 
   RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v", "=", 
   RowBox[{"BreadthFirstTraversal", "[", 
    RowBox[{"G", ",", "1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"For", "[", 
  RowBox[{
   RowBox[{"i", "=", "1"}], ",", 
   RowBox[{"i", "\[LessEqual]", 
    RowBox[{"Length", "[", "v", "]"}]}], ",", 
   RowBox[{
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"w", "\[Equal]", 
       RowBox[{"v", "[", 
        RowBox[{"[", "i", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"h", "=", "1"}], ";", 
       RowBox[{"Break", "[", "]"}]}]}], "]"}], ";", 
    RowBox[{"i", "++"}]}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"If", "[", 
  RowBox[{
   RowBox[{"h", "\[Equal]", "0"}], ",", 
   RowBox[{"Print", "[", "\"\<Dato no encontrado\>\"", "]"}], ",", 
   RowBox[{"Print", "[", "\"\<Dato encontrado\>\"", "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Quit", "[", "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.545055883536711*^9, 3.5450559168646173`*^9}, {
   3.545056230230541*^9, 3.545056354926673*^9}, {3.5450564262767544`*^9, 
   3.545056585284849*^9}, {3.5450568015642195`*^9, 3.5450568694391017`*^9}, {
   3.545056903710062*^9, 3.54505690717426*^9}, {3.545056946234494*^9, 
   3.5450569470995436`*^9}, {3.5450570145183997`*^9, 
   3.5450570164805117`*^9}, {3.545057158340626*^9, 3.545057172433432*^9}, 
   3.5774646904275093`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Combinatorica Graph and Permutations functionality has \
been superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{
  3.5450565863569107`*^9, {3.545056820297291*^9, 3.5450568703811555`*^9}, 
   3.5450569200829983`*^9, {3.545056987886876*^9, 3.5450570176445785`*^9}, 
   3.5450571604457464`*^9, 3.5774647633447104`*^9}],

Cell[BoxData[
 GraphicsBox[{{
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.50561797752809, 0.50561797752809}, {0.10112359550561799`, 
      0.3977528089887641}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.50561797752809, 0.50561797752809}, {0.37078651685393266`, 
      0.3977528089887641}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.50561797752809, 0.50561797752809}, {0.6404494382022473, 
      0.3977528089887641}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.50561797752809, 0.50561797752809}, {0.9101123595505619, 
      0.3977528089887641}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.10112359550561799`, 0.3977528089887641}, {0., 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.10112359550561799`, 0.3977528089887641}, {
      0.06741573033707866, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.10112359550561799`, 0.3977528089887641}, {
      0.13483146067415733`, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.10112359550561799`, 0.3977528089887641}, {
      0.20224719101123598`, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.37078651685393266`, 0.3977528089887641}, {
      0.26966292134831465`, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.37078651685393266`, 0.3977528089887641}, {0.3370786516853933,
       0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.37078651685393266`, 0.3977528089887641}, {
      0.40449438202247195`, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.37078651685393266`, 0.3977528089887641}, {
      0.47191011235955066`, 0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.6404494382022473, 0.3977528089887641}, {0.5393258426966293, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.6404494382022473, 0.3977528089887641}, {0.6067415730337079, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.6404494382022473, 0.3977528089887641}, {0.6741573033707866, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.6404494382022473, 0.3977528089887641}, {0.7415730337078653, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.9101123595505619, 0.3977528089887641}, {0.8202247191011237, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.9101123595505619, 0.3977528089887641}, {0.9101123595505619, 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}, 
    {GrayLevel[0], Thickness[0.005], 
     LineBox[{{0.9101123595505619, 0.3977528089887641}, {1., 
      0.28988764044943827`}}], 
     {GrayLevel[0]}}}, {
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.50561797752809, 0.50561797752809}]}, 
     {GrayLevel[0], 
      InsetBox["1", 
       Scaled[{-0.02, -0.02}, {0.50561797752809, 0.50561797752809}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.10112359550561799`, 0.3977528089887641}]}, 
     {GrayLevel[0], 
      InsetBox["2", 
       Scaled[{-0.02, -0.02}, {0.10112359550561799`, 0.3977528089887641}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.37078651685393266`, 0.3977528089887641}]}, 
     {GrayLevel[0], 
      InsetBox["3", 
       Scaled[{-0.02, -0.02}, {0.37078651685393266`, 0.3977528089887641}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6404494382022473, 0.3977528089887641}]}, 
     {GrayLevel[0], 
      InsetBox["4", 
       Scaled[{-0.02, -0.02}, {0.6404494382022473, 0.3977528089887641}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.9101123595505619, 0.3977528089887641}]}, 
     {GrayLevel[0], 
      InsetBox["5", 
       Scaled[{-0.02, -0.02}, {0.9101123595505619, 0.3977528089887641}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0., 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["6", 
       Scaled[{-0.02, -0.02}, {0., 0.28988764044943827`}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.06741573033707866, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["7", 
       Scaled[{-0.02, -0.02}, {0.06741573033707866, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.13483146067415733`, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["8", 
       Scaled[{-0.02, -0.02}, {0.13483146067415733`, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.20224719101123598`, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["9", 
       Scaled[{-0.02, -0.02}, {0.20224719101123598`, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.26966292134831465`, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["10", 
       Scaled[{-0.02, -0.02}, {0.26966292134831465`, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.3370786516853933, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["11", 
       Scaled[{-0.02, -0.02}, {0.3370786516853933, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.40449438202247195`, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["12", 
       Scaled[{-0.02, -0.02}, {0.40449438202247195`, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], 
      PointBox[{0.47191011235955066`, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["13", 
       Scaled[{-0.02, -0.02}, {0.47191011235955066`, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.5393258426966293, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["14", 
       Scaled[{-0.02, -0.02}, {0.5393258426966293, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6067415730337079, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["15", 
       Scaled[{-0.02, -0.02}, {0.6067415730337079, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.6741573033707866, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["16", 
       Scaled[{-0.02, -0.02}, {0.6741573033707866, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.7415730337078653, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["17", 
       Scaled[{-0.02, -0.02}, {0.7415730337078653, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.8202247191011237, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["18", 
       Scaled[{-0.02, -0.02}, {0.8202247191011237, 0.28988764044943827`}], \
{1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{0.9101123595505619, 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["19", Scaled[{-0.02, -0.02}, 
       {0.9101123595505619, 0.28988764044943827`}], {1, 0}]}, 
     {GrayLevel[0]}}, 
    {GrayLevel[0], 
     {PointSize[0.025], PointBox[{1., 0.28988764044943827`}]}, 
     {GrayLevel[0], 
      InsetBox["20", 
       Scaled[{-0.02, -0.02}, {1., 0.28988764044943827`}], {1, 0}]}, 
     {GrayLevel[0]}}}},
  AlignmentPoint->Center,
  AspectRatio->Automatic,
  Axes->False,
  AxesLabel->None,
  AxesOrigin->Automatic,
  AxesStyle->{},
  Background->None,
  BaseStyle->{},
  BaselinePosition->Automatic,
  ColorOutput->Automatic,
  ContentSelectable->Automatic,
  CoordinatesToolOptions:>Automatic,
  DisplayFunction:>$DisplayFunction,
  Epilog->{},
  FormatType:>TraditionalForm,
  Frame->False,
  FrameLabel->None,
  FrameStyle->{},
  FrameTicks->Automatic,
  FrameTicksStyle->{},
  GridLines->None,
  GridLinesStyle->{},
  ImageMargins->0.,
  ImagePadding->All,
  ImageSize->Automatic,
  ImageSizeRaw->Automatic,
  LabelStyle->{},
  Method->Automatic,
  PlotLabel->None,
  PlotRange->{{-0.10500000000000001`, 1.105}, {-0.023913857677902516`, 
   0.8194194756554308}},
  PlotRangeClipping->False,
  PlotRangePadding->Automatic,
  PlotRegion->Automatic,
  PreserveImageOptions->Automatic,
  Prolog->{},
  RotateLabel->True,
  Ticks->Automatic,
  TicksStyle->{}]], "Output",
 CellChangeTimes->{{3.5450568490679364`*^9, 3.5450568781546*^9}, 
   3.545056927504423*^9, {3.5450569956873226`*^9, 3.545057026223069*^9}, 
   3.5450571686612163`*^9, 3.5774647780995717`*^9}],

Cell[BoxData["\<\"Dato encontrado\"\>"], "Print",
 CellChangeTimes->{{3.5450569956923227`*^9, 3.5450570262280693`*^9}, 
   3.5450571686652164`*^9, 3.5774647781075726`*^9}]
}, Open  ]],

Cell[TextData[StyleBox["Ejercicio 14: programe paso a paso el algoritmo de \
Kruskal",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.554571008252273*^9, 3.554571017725855*^9}, {
  3.554571538312496*^9, 3.554571543518388*^9}, {3.557600624313384*^9, 
  3.557600674261622*^9}, {3.5580029245871024`*^9, 3.558002939674965*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"G1", "=", 
  RowBox[{"WeightedAdjacencyGraph", "[", 
   RowBox[{
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {"\[Infinity]", "3", "2", "\[Infinity]", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"3", "\[Infinity]", "4", "2", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"2", "4", "\[Infinity]", "3", "2", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]"},
       {"\[Infinity]", "2", "3", "\[Infinity]", "5", "\[Infinity]", 
        "\[Infinity]", "\[Infinity]"},
       {"\[Infinity]", "\[Infinity]", "2", "5", "\[Infinity]", "4", 
        "\[Infinity]", "5"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", "4", 
        "\[Infinity]", "5", "\[Infinity]"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", 
        "\[Infinity]", "5", "\[Infinity]", "4"},
       {"\[Infinity]", "\[Infinity]", "\[Infinity]", "\[Infinity]", "5", 
        "\[Infinity]", "4", "\[Infinity]"}
      }], "\[NoBreak]", ")"}], ",", 
    RowBox[{"VertexLabels", "\[Rule]", "\"\<Name\>\""}], ",", 
    RowBox[{"ImagePadding", "\[Rule]", "10"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"WeightedAdjacencyMatrix", "[", "G1", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AlKrus", "[", "G_Graph", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"ConnectedGraphQ", "[", "G", "]"}], "\[Equal]", "True"}], ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Nodos", "=", 
         RowBox[{"VertexList", "[", "G", "]"}]}], ",", 
        RowBox[{"Lados", "=", 
         RowBox[{"EdgeList", "[", "G", "]"}]}]}], "}"}], ",", 
      RowBox[{
       RowBox[{"AristasArbol", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"AristasArbolP", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"pesominimo", "=", "0"}], ";", 
       RowBox[{"MatrizPesos", "=", 
        RowBox[{"WeightedAdjacencyMatrix", "[", "G", "]"}]}], ";", 
       RowBox[{"LadosPesos", "=", 
        RowBox[{"{", "}"}]}], ";", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "1"}], ",", 
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{"VertexCount", "[", "G", "]"}]}], ",", 
         RowBox[{
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"j", "=", "1"}], ",", 
            RowBox[{"j", "\[LessEqual]", 
             RowBox[{"VertexCount", "[", "G", "]"}]}], ",", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"MatrizPesos", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "j"}], "]"}], "]"}], "\[NotEqual]", 
                 "0"}], "&&", 
                RowBox[{"i", "\[LessEqual]", "j"}]}], ",", 
               RowBox[{"LadosPesos", "=", 
                RowBox[{"Append", "[", 
                 RowBox[{"LadosPesos", ",", 
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Nodos", "[", 
                    RowBox[{"[", "i", "]"}], "]"}], "\[UndirectedEdge]", 
                    RowBox[{"Nodos", "[", 
                    RowBox[{"[", "j", "]"}], "]"}]}], ",", 
                    RowBox[{"MatrizPesos", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}]}], "}"}]}], 
                 "]"}]}]}], "]"}], ";", 
             RowBox[{"j", "++"}]}]}], "]"}], ";", 
          RowBox[{"i", "++"}]}]}], "]"}], ";", 
       RowBox[{"i", "=", "1"}], ";", 
       RowBox[{"While", "[", 
        RowBox[{
         RowBox[{"i", "\[LessEqual]", 
          RowBox[{
           RowBox[{"VertexCount", "[", "G", "]"}], "-", "1"}]}], ",", 
         RowBox[{
          RowBox[{"minimo", "=", 
           RowBox[{"LadosPesos", "[", 
            RowBox[{"[", 
             RowBox[{"1", ",", "2"}], "]"}], "]"}]}], ";", 
          RowBox[{"pos", "=", "1"}], ";", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"j", "=", "2"}], ",", 
            RowBox[{"j", "\[LessEqual]", 
             RowBox[{"Length", "[", "LadosPesos", "]"}]}], ",", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"LadosPesos", "[", 
                 RowBox[{"[", 
                  RowBox[{"j", ",", "2"}], "]"}], "]"}], "<", "minimo"}], ",", 
               RowBox[{
                RowBox[{"minimo", "=", 
                 RowBox[{"LadosPesos", "[", 
                  RowBox[{"[", 
                   RowBox[{"j", ",", "2"}], "]"}], "]"}]}], ";", 
                RowBox[{"pos", "=", "j"}]}]}], "]"}], ";", 
             RowBox[{"j", "++"}]}]}], "]"}], ";", 
          RowBox[{"AristasArbolP", "=", 
           RowBox[{"Append", "[", 
            RowBox[{"AristasArbolP", ",", 
             RowBox[{"LadosPesos", "[", 
              RowBox[{"[", 
               RowBox[{"pos", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
          RowBox[{"T", "=", 
           RowBox[{"Graph", "[", "AristasArbolP", "]"}]}], ";", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"AcyclicGraphQ", "[", "T", "]"}], "==", "True"}], ",", 
            RowBox[{
             RowBox[{"AristasArbol", "=", 
              RowBox[{"Append", "[", 
               RowBox[{"AristasArbol", ",", 
                RowBox[{"LadosPesos", "[", 
                 RowBox[{"[", 
                  RowBox[{"pos", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
             RowBox[{"pesominimo", "=", 
              RowBox[{"pesominimo", "+", 
               RowBox[{"LadosPesos", "[", 
                RowBox[{"[", 
                 RowBox[{"pos", ",", "2"}], "]"}], "]"}]}]}], ";", 
             RowBox[{"i", "++"}]}], ",", 
            RowBox[{
             RowBox[{"AristasArbolP", "=", 
              RowBox[{"Delete", "[", 
               RowBox[{"AristasArbolP", ",", 
                RowBox[{"-", "1"}]}], "]"}]}], ";", 
             RowBox[{"T", "=", 
              RowBox[{"Graph", "[", "AristasArbolP", "]"}]}]}]}], "]"}], ";", 
          RowBox[{"LadosPesos", "=", 
           RowBox[{"Delete", "[", 
            RowBox[{"LadosPesos", ",", "pos"}], "]"}]}]}]}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El peso m\[IAcute]nimo es: \>\"", ",", " ", "pesominimo"}], 
        "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El \[AAcute]rbol de expansi\[OAcute]n minimal obtenido por el \
algoritmo de Kruskal tiene como aristas: \>\"", ",", " ", "AristasArbol"}], 
        "]"}]}]}], "]"}], ",", 
    RowBox[{
    "Print", "[", 
     "\"\<El grafo no es conexo, el algoritmo de Kruskal no es aplicable\>\"",
      "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AlKrus", "[", "G1", "]"}]}], "Input",
 CellChangeTimes->{{3.557768580493548*^9, 3.5577685913172398`*^9}, {
   3.557768758332177*^9, 3.5577687792610283`*^9}, {3.557769044387684*^9, 
   3.557769047699239*^9}, {3.5577694367304983`*^9, 3.557769437689979*^9}, 
   3.557771650417506*^9, {3.557771728340933*^9, 3.557771729727517*^9}, {
   3.5578493032898655`*^9, 3.5578494500982623`*^9}, {3.5578496500757003`*^9, 
   3.557849949890849*^9}, {3.5578500445592637`*^9, 3.5578500763930845`*^9}, {
   3.5578501482371936`*^9, 3.5578501527494516`*^9}, {3.557850187427435*^9, 
   3.5578501934247785`*^9}, {3.5578502274047217`*^9, 3.557850270521188*^9}, {
   3.5578503290085335`*^9, 3.5578503356559134`*^9}, {3.5578503891509733`*^9, 
   3.5578503908520703`*^9}, {3.557850425616059*^9, 3.557850473609804*^9}, {
   3.5578505153881936`*^9, 3.5578506012111025`*^9}, {3.5578506374451747`*^9, 
   3.557850726106246*^9}, {3.5578516440237474`*^9, 3.557851895616138*^9}, {
   3.5578519309531593`*^9, 3.5578519407467194`*^9}, {3.5578519887614655`*^9, 
   3.5578520500999737`*^9}, {3.5578520842849293`*^9, 3.557852101278901*^9}, {
   3.5578523348592615`*^9, 3.557852413248745*^9}, {3.5578524456816*^9, 
   3.557852488043023*^9}, {3.557852585340588*^9, 3.557852610418022*^9}, {
   3.5578526421848392`*^9, 3.5578526524874287`*^9}, {3.557852685363309*^9, 
   3.557852792765452*^9}, {3.557852838000039*^9, 3.5578529239819574`*^9}, {
   3.557852957931899*^9, 3.5578529805471926`*^9}, {3.557853026426817*^9, 
   3.557853040933646*^9}, {3.5578532060100884`*^9, 3.557853210012317*^9}, {
   3.5578532415841227`*^9, 3.557853252565751*^9}, {3.557853379528013*^9, 
   3.5578534147710285`*^9}, {3.557853481306834*^9, 3.5578535079553585`*^9}, {
   3.557853628197236*^9, 3.5578536495334563`*^9}, {3.55785371935345*^9, 
   3.557853746823021*^9}}],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3, 4, 5, 6, 7, 8}, {Null, 
       SparseArray[
       Automatic, {8, 8}, 0, {
        1, {{0, 2, 5, 9, 12, 16, 18, 20, 22}, {{2}, {3}, {1}, {3}, {4}, {1}, {
          2}, {4}, {5}, {2}, {3}, {5}, {3}, {4}, {6}, {8}, {5}, {7}, {6}, {
          8}, {5}, {7}}}, Pattern}]}, {
      EdgeWeight -> {3, 2, 4, 2, 3, 2, 5, 4, 5, 5, 4}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]], Typeset`boxes, Typeset`boxes$s2d = 
    GraphicsGroupBox[{{
       Directive[
        Hue[0.6, 0.2, 0.8], 
        EdgeForm[
         Directive[
          GrayLevel[0], 
          Opacity[0.7]]]], 
       TagBox[{
         TagBox[
          DiskBox[{0., 0.8304608551060986}, 0.03825556670992421], 
          "DynamicName", BoxID -> "VertexID$1"], 
         InsetBox[
          FormBox["1", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$1", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$1"], 
       TagBox[{
         TagBox[
          
          DiskBox[{0.3686701504654306, 0.14971649187680974`}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$2"], 
         InsetBox[
          FormBox["2", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$2", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$2"], 
       TagBox[{
         TagBox[
          
          DiskBox[{1.0289618499077386`, 0.6158686826067596}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$3"], 
         InsetBox[
          FormBox["3", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$3", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$3"], 
       TagBox[{
         TagBox[
          DiskBox[{1.3179968083828941`, 0.}, 0.03825556670992421], 
          "DynamicName", BoxID -> "VertexID$4"], 
         InsetBox[
          FormBox["4", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$4", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$4"], 
       TagBox[{
         TagBox[
          
          DiskBox[{2.308486513199544, 0.4104169276349948}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$5"], 
         InsetBox[
          FormBox["5", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$5", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$5"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.370670479145664, 0.9020743357517045}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$6"], 
         InsetBox[
          FormBox["6", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$6", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$6"], 
       TagBox[{
         TagBox[
          
          DiskBox[{4.197983292001927, 0.5037415359082588}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$7"], 
         InsetBox[
          FormBox["7", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$7", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$7"], 
       TagBox[{
         TagBox[
          
          DiskBox[{3.4151562511139613`, 0.025669473376080276`}, 
           0.03825556670992421], "DynamicName", BoxID -> "VertexID$8"], 
         InsetBox[
          FormBox["8", TraditionalForm], 
          Offset[{2, 2}, 
           DynamicLocation["VertexID$8", Automatic, {Right, Top}]], 
          ImageScaled[{0, 0}], BaseStyle -> "Graphics"]}, "DynamicName", 
        BoxID -> "VertexLabelID$8"]}, {
       Directive[
        Opacity[0.7], 
        Hue[0.6, 0.7, 0.5]], 
       LineBox[{{
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$2", Automatic, Center]}, {
          DynamicLocation["VertexID$1", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$3", Automatic, Center]}, {
          DynamicLocation["VertexID$2", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$4", Automatic, Center]}, {
          DynamicLocation["VertexID$3", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$4", Automatic, Center], 
          DynamicLocation["VertexID$5", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$6", Automatic, Center]}, {
          DynamicLocation["VertexID$5", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}, {
          DynamicLocation["VertexID$6", Automatic, Center], 
          DynamicLocation["VertexID$7", Automatic, Center]}, {
          DynamicLocation["VertexID$7", Automatic, Center], 
          DynamicLocation["VertexID$8", Automatic, Center]}}]}}], 
    Typeset`data}, 
    TagBox[
     DynamicBox[GraphComputation`NetworkGraphicsBox[
      2, Typeset`graph, Typeset`boxes], {
      CachedValue :> Typeset`boxes, SingleEvaluation -> True, 
       SynchronousUpdating -> False, TrackedSymbols :> {}},
      ImageSizeCache->{{48.39999999999998, 
       1051.4474219793342`}, {-176.26342197933383`, 90.75808845216437}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False,
    UnsavedVariables:>{Typeset`data}]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.557768510140695*^9, 3.557849956674237*^9, 3.5578500806303267`*^9, 
   3.5578502006001887`*^9, 3.557850237983327*^9, 3.55785027370137*^9, 
   3.557850339685144*^9, 3.5578503954283323`*^9, 3.557851946979076*^9, 
   3.557852001755209*^9, 3.5578520578294163`*^9, 3.5578521067172127`*^9, 
   3.5578524250334187`*^9, 3.557852491685231*^9, {3.5578526228637342`*^9, 
   3.5578526298471336`*^9}, {3.557852668912368*^9, 3.5578526953438797`*^9}, 
   3.557853044294839*^9, 3.557853214554577*^9, 3.5578532582390757`*^9, 
   3.5578534281117916`*^9, {3.557853458991558*^9, 3.5578535122166023`*^9}, {
   3.5578536993813076`*^9, 3.5578537676162105`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "22"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.557853044336841*^9, 3.5578532146035795`*^9, 3.5578532582880783`*^9, 
   3.5578534281537943`*^9, {3.557853459043561*^9, 3.557853512297607*^9}, {
   3.5578536994283104`*^9, 3.5578537676532125`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El \[AAcute]rbol de expansi\[OAcute]n minimal obtenido por el \
algoritmo de Kruskal tiene como aristas: \"\>", "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[UndirectedEdge]", "3"}], ",", 
     RowBox[{"2", "\[UndirectedEdge]", "4"}], ",", 
     RowBox[{"3", "\[UndirectedEdge]", "5"}], ",", 
     RowBox[{"1", "\[UndirectedEdge]", "2"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "6"}], ",", 
     RowBox[{"7", "\[UndirectedEdge]", "8"}], ",", 
     RowBox[{"5", "\[UndirectedEdge]", "8"}]}], "}"}]}],
  SequenceForm[
  "El \[AAcute]rbol de expansi\[OAcute]n minimal obtenido por el algoritmo de \
Kruskal tiene como aristas: ", {
    UndirectedEdge[1, 3], 
    UndirectedEdge[2, 4], 
    UndirectedEdge[3, 5], 
    UndirectedEdge[1, 2], 
    UndirectedEdge[5, 6], 
    UndirectedEdge[7, 8], 
    UndirectedEdge[5, 8]}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.557853044336841*^9, 3.5578532146035795`*^9, 3.5578532582880783`*^9, 
   3.5578534281537943`*^9, {3.557853459043561*^9, 3.557853512297607*^9}, {
   3.5578536994283104`*^9, 3.557853767656213*^9}}]
}, Open  ]]
}, Open  ]],

Cell[TextData[StyleBox["Verificaci\[OAcute]n:",
 FontWeight->"Bold"]], "Text",
 CellChangeTimes->{{3.554571008252273*^9, 3.554571017725855*^9}, {
  3.554571538312496*^9, 3.554571543518388*^9}, {3.557600624313384*^9, 
  3.557600674261622*^9}, {3.5577684821262703`*^9, 3.5577684881551857`*^9}},
 Background->RGBColor[1, 0.5, 0]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"h", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"4", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"6", ",", "7"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ShowGraph", "[", 
   RowBox[{
    RowBox[{"G2", "=", 
     RowBox[{"SetGraphOptions", "[", 
      RowBox[{
       RowBox[{"FromUnorderedPairs", "[", "h", "]"}], ",", 
       RowBox[{"VertexColor", "\[Rule]", "Black"}], ",", 
       RowBox[{"EdgeColor", "\[Rule]", "Black"}]}], "]"}]}], ",", 
    RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G2", "=", 
   RowBox[{"SetEdgeWeights", "[", 
    RowBox[{"G2", ",", 
     RowBox[{"{", 
      RowBox[{
      "3", ",", "2", ",", "4", ",", "2", ",", "3", ",", "2", ",", "5", ",", 
       "4", ",", "5", ",", "5", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Combinatorica`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AlKruskal", "[", "G_Graph", "]"}], ":=", 
  RowBox[{"If", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"EdgeConnectivity", "[", "G", "]"}], "\[NotEqual]", " ", "0"}], 
    ",", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "}"}], ",", 
      RowBox[{
       RowBox[{"ArbolExpansion", "=", 
        RowBox[{"MinimumSpanningTree", "[", "G", "]"}]}], ";", 
       RowBox[{"Pesos", "=", 
        RowBox[{"GetEdgeWeights", "[", 
         RowBox[{"G", ",", 
          RowBox[{"Edges", "[", "ArbolExpansion", "]"}]}], "]"}]}], ";", 
       RowBox[{"pesominimo", "=", 
        RowBox[{"Total", "[", "Pesos", "]"}]}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: \>\"", ",", 
         " ", 
         RowBox[{"Edges", "[", "ArbolExpansion", "]"}]}], "]"}], ";", 
       RowBox[{"Print", "[", 
        RowBox[{
        "\"\<El peso m\[IAcute]nimo es: \>\"", ",", " ", "pesominimo"}], 
        "]"}], ";", 
       RowBox[{
       "Print", "[", 
        "\"\<El \[AAcute]rbol de expansi\[OAcute]n minimal se muestra en la \
siguiente animaci\[OAcute]n: \>\"", "]"}], ";", 
       RowBox[{"AnimateGraph", "[", 
        RowBox[{"G", ",", 
         RowBox[{"Edges", "[", "ArbolExpansion", "]"}], ",", 
         RowBox[{"VertexNumber", "\[Rule]", "True"}], ",", 
         RowBox[{"PlotRange", "\[Rule]", "0.1"}]}], "]"}]}]}], "]"}], ",", 
    RowBox[{
    "Print", "[", 
     "\"\<El grafo no es conexo, el algoritmo de Kruskal no es aplicable\>\"",
      "]"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"AlKruskal", "[", "G2", "]"}]}], "Input",
 CellChangeTimes->{{3.5576821478410068`*^9, 3.5576822124997053`*^9}, {
   3.5576824433659096`*^9, 3.5576824500152903`*^9}, {3.5576826762682314`*^9, 
   3.55768281139596*^9}, 3.5576828588126717`*^9, 3.5576829751023235`*^9, {
   3.5576839864621696`*^9, 3.5576840053062477`*^9}, 3.55768413018239*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.557683988281274*^9, 3.557684006187298*^9}, {
   3.5576841213178835`*^9, 3.557684133624587*^9}, 3.557684186720624*^9, 
   3.5578532925690393`*^9}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "compat"}], "MessageName"], ":", 
  " ", "\<\"Combinatorica Graph and Permutations functionality has been \
superseded by preloaded functionality. The package now being loaded may \
conflict with this. Please see the Compatibility Guide for details.\"\>"}]], \
"Message", "MSG",
 CellChangeTimes->{{3.557683988281274*^9, 3.557684006187298*^9}, {
   3.5576841213178835`*^9, 3.557684133624587*^9}, 3.557684186720624*^9, 
   3.5578532952591934`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: \"\>", 
   "\[InvisibleSpace]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"3", ",", "5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "6"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"7", ",", "8"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "8"}], "}"}]}], "}"}]}],
  SequenceForm[
  "Las aritas en orden de acuerdo con el algoritmo de Kruskal del \
\[AAcute]rbol de expansi\[OAcute]n de peso m\[IAcute]nimo son: ", {{1, 3}, {2,
    4}, {3, 5}, {1, 2}, {5, 6}, {7, 8}, {5, 8}}],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.557684006539318*^9, {3.5576841216909046`*^9, 3.557684133968607*^9}, 
   3.557684187057643*^9, 3.5578532955942125`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"El peso m\[IAcute]nimo es: \"\>", "\[InvisibleSpace]", "22"}],
  SequenceForm["El peso m\[IAcute]nimo es: ", 22],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.557684006539318*^9, {3.5576841216909046`*^9, 3.557684133968607*^9}, 
   3.557684187057643*^9, 3.5578532955962124`*^9}],

Cell[BoxData["\<\"El \[AAcute]rbol de expansi\[OAcute]n minimal se muestra en \
la siguiente animaci\[OAcute]n: \"\>"], "Print",
 CellChangeTimes->{
  3.557684006539318*^9, {3.5576841216909046`*^9, 3.557684133968607*^9}, 
   3.557684187057643*^9, 3.5578532955992126`*^9}]
}, Open  ]],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`i3$$ = 1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = Automatic, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`i3$$], 1, ""}, 1, 7, 1}}, Typeset`size$$ = Automatic,
     Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`i3$1849$$ = 0}, 
    PaneBox[
     PanelBox[
      DynamicWrapperBox[GridBox[{
         {
          ItemBox[
           ItemBox[
            StyleBox[GridBox[{
               {
                TagBox["\<\"\"\>",
                 HoldForm], 
                TagBox[
                 PaneBox[
                  
                  DynamicModuleBox[{Typeset`open$$ = False, Typeset`paused$$ =
                    Automatic, Typeset`rate$$ = Automatic, Typeset`dir$$ = 
                   Forward}, 
                   StyleBox[
                    
                    DynamicBox[FEPrivate`FrontEndResource[
                    "FEExpressions", "Manipulator04"][
                    Dynamic[$CellContext`i3$$], 
                    Dynamic[$CellContext`i3$$], {1, 7, 1}, Medium, Small, 
                    Automatic, True, Automatic, False, True, False, {
                    "DirectionButton", "FasterSlowerButtons", 
                    "PlayPauseButton"}, False, {}, 
                    Dynamic[Typeset`open$$], 
                    Dynamic[Typeset`paused$$], 
                    Dynamic[Typeset`rate$$], 
                    Dynamic[Typeset`dir$$]],
                    ImageSizeCache->{626., {27., 43.}}],
                    DynamicUpdating->True],
                   DynamicModuleValues:>{}],
                  BaselinePosition->Baseline,
                  ImageMargins->0],
                 Manipulate`InterpretManipulator[
                  Dynamic[$CellContext`i3$$], {1, 7, 1}, {
                  AutoAction -> False, AnimationRate -> Automatic, 
                   AnimationDirection -> Forward, AnimationRate -> Automatic, 
                   PausedTime -> Automatic, 
                   AppearanceElements -> {
                    "ProgressSlider", "PlayPauseButton", 
                    "FasterSlowerButtons", "DirectionButton"}}]]}
              },
              AutoDelete->False,
              
              GridBoxAlignment->{
               "Columns" -> {Right, {Left}}, "ColumnsIndexed" -> {}, 
                "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
              
              GridBoxItemSize->{
               "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}], 
             "ListAnimateLabel",
             StripOnInput->False],
            Alignment->{Automatic, Inherited},
            StripOnInput->False],
           Background->None,
           StripOnInput->False]},
         {
          ItemBox[
           TagBox[
            StyleBox[
             PaneBox[
              TagBox[
               PaneSelectorBox[{1->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 2->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 3->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 4->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 5->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 6->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}], 7->
                GraphicsBox[{{
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {0.5, 
                    1.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.8535533905932737}, {
                    0.14644660940672627`, 0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 1.}, {0.14644660940672627`, 
                    0.8535533905932737}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.5, 1.}, {0., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {0., 
                    0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672627`, 0.8535533905932737}, {
                    0.14644660940672616`, 0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0., 0.5}, {0.14644660940672616`, 
                    0.14644660940672627`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    0.5, 0.}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.14644660940672616`, 0.14644660940672627`}, {
                    1., 0.5}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.005], 
                    LineBox[{{0.5, 0.}, {0.8535533905932737, 
                    0.14644660940672616`}}], 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], Thickness[0.02], 
                    LineBox[{{0.8535533905932737, 0.14644660940672616`}, {1., 
                    0.5}}], 
                    {GrayLevel[0]}}}, {
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["1", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 1.}]}, 
                    {GrayLevel[0], 
                    InsetBox["2", Scaled[{-0.02, -0.02}, {0.5, 1.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672627`, 0.8535533905932737}]}, 
                    {GrayLevel[0], 
                    InsetBox["3", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672627`, 0.8535533905932737}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["4", Scaled[{-0.02, -0.02}, {0., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.14644660940672616`, 0.14644660940672627`}]}, 
                    {GrayLevel[0], 
                    InsetBox["5", 
                    Scaled[{-0.02, -0.02}, \
{0.14644660940672616`, 0.14644660940672627`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{0.5, 0.}]}, 
                    {GrayLevel[0], 
                    InsetBox["6", Scaled[{-0.02, -0.02}, {0.5, 0.}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], 
                    PointBox[{0.8535533905932737, 0.14644660940672616`}]}, 
                    {GrayLevel[0], 
                    InsetBox["7", 
                    Scaled[{-0.02, -0.02}, \
{0.8535533905932737, 0.14644660940672616`}], {1, 0}]}, 
                    {GrayLevel[0]}}, 
                   {GrayLevel[0], 
                    {PointSize[0.025], PointBox[{1., 0.5}]}, 
                    {GrayLevel[0], 
                    InsetBox["8", Scaled[{-0.02, -0.02}, {1., 0.5}], {1, 0}]}, 
                    {GrayLevel[0]}}}},
                 AlignmentPoint->Center,
                 AspectRatio->Automatic,
                 Axes->False,
                 AxesLabel->None,
                 AxesOrigin->Automatic,
                 AxesStyle->{},
                 Background->None,
                 BaseStyle->{},
                 BaselinePosition->Automatic,
                 ColorOutput->Automatic,
                 ContentSelectable->Automatic,
                 CoordinatesToolOptions:>Automatic,
                 DisplayFunction:>$DisplayFunction,
                 Epilog->{},
                 FormatType:>TraditionalForm,
                 Frame->False,
                 FrameLabel->None,
                 FrameStyle->{},
                 FrameTicks->Automatic,
                 FrameTicksStyle->{},
                 GridLines->None,
                 GridLinesStyle->{},
                 ImageMargins->0.,
                 ImagePadding->All,
                 ImageSize->Automatic,
                 ImageSizeRaw->Automatic,
                 LabelStyle->{},
                 Method->Automatic,
                 PlotLabel->None,
                 PlotRange->{{-0.05, 1.05}, {-0.05, 1.05}},
                 PlotRangeClipping->False,
                 PlotRangePadding->Automatic,
                 PlotRegion->Automatic,
                 PreserveImageOptions->Automatic,
                 Prolog->{},
                 RotateLabel->True,
                 Ticks->Automatic,
                 TicksStyle->{}]}, Dynamic[$CellContext`i3$$],
                Alignment->Automatic,
                ImageSize->All],
               Identity,
               Editable->True,
               Selectable->True],
              ImageMargins->10],
             Deployed->False,
             StripOnInput->False,
             ScriptLevel->0,
             GraphicsBoxOptions->{PreserveImageOptions->True},
             Graphics3DBoxOptions->{PreserveImageOptions->True}],
            Identity,
            Editable->False,
            Selectable->False],
           Alignment->{Left, Center},
           Background->GrayLevel[1],
           Frame->1,
           FrameStyle->GrayLevel[0, 0.2],
           ItemSize->Automatic,
           StripOnInput->False]}
        },
        AutoDelete->False,
        GridBoxAlignment->{
         "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Top}}, 
          "RowsIndexed" -> {}},
        GridBoxDividers->{
         "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
          "RowsIndexed" -> {}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {
            Offset[0.7], {
             Offset[0.5599999999999999]}, 
            Offset[0.7]}, "ColumnsIndexed" -> {}, "Rows" -> {
            Offset[0.4], {
             Offset[0.8]}, 
            Offset[0.4]}, "RowsIndexed" -> {}}], If[
        CurrentValue["SelectionOver"], 
        Manipulate`Dump`ReadControllerState[
         Map[Manipulate`Dump`updateOneVar[#, 
           CurrentValue["PreviousFormatTime"], 
           CurrentValue["CurrentFormatTime"]]& , {
           
           Manipulate`Dump`controllerLink[{$CellContext`i3$$, \
$CellContext`i3$1849$$}, "X1", 
            If["DefaultAbsolute", True, "JB1"], False, {1, 7, 1}, 7, 1.]}], 
         CurrentValue[{
          "ControllerData", {
           "Gamepad", "Joystick", "Multi-Axis Controller"}}], {}]],
       ImageSizeCache->{1173., {617.75, 634.75}}],
      DefaultBaseStyle->{},
      FrameMargins->{{5, 5}, {5, 5}}],
     BaselinePosition->Automatic,
     ImageMargins->0],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "ListAnimate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellChangeTimes->{{3.5576839885522895`*^9, 3.557684006362308*^9}, {
   3.5576841215048943`*^9, 3.5576841341726184`*^9}, 3.557684187259655*^9, 
   3.557853306122814*^9}]
}, Open  ]]
},
WindowToolbars->"EditBar",
WindowSize->{1584, 763},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 3., 3. Inherited],
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 706, 15, 131, "Text"],
Cell[CellGroupData[{
Cell[1288, 39, 2491, 59, 607, "Input"],
Cell[3782, 100, 883, 15, 241, "Message"],
Cell[4668, 117, 4210, 114, 1104, "Print"]
}, Open  ]],
Cell[8893, 234, 597, 12, 131, "Text"],
Cell[9493, 248, 598, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[10116, 264, 1810, 49, 347, "Input"],
Cell[11929, 315, 7993, 199, 1341, "Output"]
}, Open  ]],
Cell[19937, 517, 363, 6, 131, "Text"],
Cell[20303, 525, 945, 14, 131, "Text"],
Cell[CellGroupData[{
Cell[21273, 543, 6349, 129, 711, "Input"],
Cell[27625, 674, 3339, 74, 1283, "Output"]
}, Open  ]],
Cell[30979, 751, 995, 15, 131, "Text"],
Cell[CellGroupData[{
Cell[31999, 770, 7038, 139, 711, "Input"],
Cell[39040, 911, 3715, 81, 1341, "Output"]
}, Open  ]],
Cell[42770, 995, 997, 15, 131, "Text"],
Cell[CellGroupData[{
Cell[43792, 1014, 3195, 88, 815, "Input"],
Cell[46990, 1104, 2631, 59, 1341, "Output"]
}, Open  ]],
Cell[49636, 1166, 565, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[50226, 1182, 1361, 36, 503, "Input"],
Cell[51590, 1220, 12792, 293, 1341, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64419, 1518, 1642, 42, 607, "Input"],
Cell[CellGroupData[{
Cell[66086, 1564, 419, 10, 113, "Print"],
Cell[66508, 1576, 421, 10, 113, "Print"]
}, Open  ]]
}, Open  ]],
Cell[66956, 1590, 414, 7, 131, "Text"],
Cell[67373, 1599, 945, 14, 131, "Text"],
Cell[CellGroupData[{
Cell[68343, 1617, 1604, 31, 646, "Input"],
Cell[69950, 1650, 6496, 148, 368, "Output"],
Cell[76449, 1800, 1376, 32, 377, "Output"],
Cell[77828, 1834, 770, 16, 134, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78635, 1855, 1794, 48, 451, "Input"],
Cell[80432, 1905, 485, 10, 241, "Message"],
Cell[80920, 1917, 4331, 121, 1125, "Output"]
}, Open  ]],
Cell[85266, 2041, 530, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[85821, 2057, 449, 9, 139, "Input"],
Cell[86273, 2068, 636, 19, 84, "Output"],
Cell[86912, 2089, 48729, 1075, 1338, "Output"]
}, Open  ]],
Cell[135656, 3167, 530, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[136211, 3183, 452, 9, 139, "Input"],
Cell[136666, 3194, 606, 18, 84, "Output"],
Cell[137275, 3214, 48697, 1074, 1338, "Output"]
}, Open  ]],
Cell[185987, 4291, 521, 10, 131, "Text"],
Cell[186511, 4303, 23439, 555, 5443, "Input"],
Cell[CellGroupData[{
Cell[209975, 4862, 128, 2, 86, "Input"],
Cell[CellGroupData[{
Cell[210128, 4868, 126, 1, 63, "Print"],
Cell[210257, 4871, 6137, 207, 402, "Print"],
Cell[216397, 5080, 383, 9, 63, "Print"],
Cell[216783, 5091, 456, 11, 63, "Print"],
Cell[217242, 5104, 859, 26, 113, "Print"],
Cell[218104, 5132, 699, 16, 113, "Print"],
Cell[218806, 5150, 2701, 66, 145, "Print"],
Cell[221510, 5218, 255, 5, 63, "Print"],
Cell[221768, 5225, 1124, 34, 113, "Print"],
Cell[222895, 5261, 780, 18, 162, "Print"],
Cell[223678, 5281, 5587, 118, 143, 3202, 77, "CachedBoxData", "BoxData", \
"Print"],
Cell[229268, 5401, 256, 5, 63, "Print"],
Cell[229527, 5408, 1127, 34, 113, "Print"],
Cell[230657, 5444, 859, 20, 162, "Print"],
Cell[231519, 5466, 6395, 134, 141, 3762, 89, "CachedBoxData", "BoxData", \
"Print"],
Cell[237917, 5602, 258, 5, 63, "Print"],
Cell[238178, 5609, 994, 30, 113, "Print"],
Cell[239175, 5641, 938, 22, 162, "Print"],
Cell[240116, 5665, 4406, 103, 140, "Print"],
Cell[244525, 5770, 258, 5, 63, "Print"],
Cell[244786, 5777, 728, 22, 113, "Print"],
Cell[245517, 5801, 1015, 24, 162, "Print"],
Cell[246535, 5827, 5079, 120, 1320, "Print"],
Cell[251617, 5949, 260, 5, 63, "Print"],
Cell[251880, 5956, 728, 22, 113, "Print"],
Cell[252611, 5980, 1094, 26, 162, "Print"],
Cell[253708, 6008, 5589, 131, 1320, "Print"],
Cell[259300, 6141, 258, 5, 63, "Print"],
Cell[259561, 6148, 589, 17, 113, "Print"],
Cell[260153, 6167, 1090, 24, 162, "Print"],
Cell[261246, 6193, 24197, 467, 347, 7540, 192, "CachedBoxData", "BoxData", \
"Print"]
}, Open  ]]
}, Open  ]],
Cell[285470, 6664, 532, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[286027, 6680, 1726, 43, 1023, "Input"],
Cell[287756, 6725, 435, 9, 241, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[288228, 6739, 133, 2, 86, "Input"],
Cell[CellGroupData[{
Cell[288386, 6745, 1071, 28, 162, "Print"],
Cell[289460, 6775, 335, 7, 63, "Print"],
Cell[289798, 6784, 271, 4, 113, "Print"]
}, Open  ]],
Cell[290084, 6791, 48708, 1075, 1338, "Output"]
}, Open  ]],
Cell[338807, 7869, 581, 12, 131, "Text"],
Cell[CellGroupData[{
Cell[339413, 7885, 2260, 59, 749, "Input"],
Cell[341676, 7946, 578, 12, 241, "Message"],
Cell[342257, 7960, 9458, 261, 836, "Output"],
Cell[351718, 8223, 171, 2, 63, "Print"]
}, Open  ]],
Cell[351904, 8228, 363, 6, 131, "Text"],
Cell[CellGroupData[{
Cell[352292, 8238, 8742, 193, 2258, "Input"],
Cell[361037, 8433, 6993, 155, 368, "Output"],
Cell[CellGroupData[{
Cell[368055, 8592, 413, 8, 63, "Print"],
Cell[368471, 8602, 1149, 27, 162, "Print"]
}, Open  ]]
}, Open  ]],
Cell[369647, 8633, 326, 5, 131, "Text"],
Cell[CellGroupData[{
Cell[369998, 8642, 3691, 96, 4473, "Input"],
Cell[373692, 8740, 510, 10, 723, "Message"],
Cell[374205, 8752, 510, 10, 723, "Message"],
Cell[CellGroupData[{
Cell[374740, 8766, 1071, 28, 486, "Print"],
Cell[375814, 8796, 335, 7, 189, "Print"],
Cell[376152, 8805, 271, 4, 339, "Print"]
}, Open  ]],
Cell[376438, 8812, 48718, 1075, 4014, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
